/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define SOPT4_FTM1CH0SRC_FTM 0x00u     /*!<@brief FTM1 channel 0 input capture source select: FTM1_CH0 signal */
#define SOPT4_FTM2CH0SRC_FTM 0x00u     /*!<@brief FTM2 channel 0 input capture source select: FTM2_CH0 signal */
#define SOPT5_UART0TXSRC_UART_TX 0x00u /*!<@brief UART 0 transmit data source select: UART0_TX pin */

/*! @name PORTD7 (coord A1), SPI1_MISO
  @{ */
#define BOARD_INITPINS_SPI1_MISO_PERIPHERAL SPI1   /*!<@brief Device name: SPI1 */
#define BOARD_INITPINS_SPI1_MISO_SIGNAL SIN        /*!<@brief SPI1 signal: SIN */
#define BOARD_INITPINS_SPI1_MISO_PORT PORTD        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_SPI1_MISO_PIN 7U            /*!<@brief PORTD pin index: 7 */
#define BOARD_INITPINS_SPI1_MISO_PIN_NAME SPI1_SIN /*!<@brief Pin name */
#define BOARD_INITPINS_SPI1_MISO_LABEL "SPI1_MISO" /*!<@brief Label */
#define BOARD_INITPINS_SPI1_MISO_NAME "SPI1_MISO"  /*!<@brief Identifier name */
                                                   /* @} */

/*! @name PORTA0 (coord J5), SWD_CLK
  @{ */
#define BOARD_INITPINS_SWDCLK_PERIPHERAL JTAG          /*!<@brief Device name: JTAG */
#define BOARD_INITPINS_SWDCLK_SIGNAL JTAG_TCLK_SWD_CLK /*!<@brief JTAG signal: JTAG_TCLK_SWD_CLK */
#define BOARD_INITPINS_SWDCLK_PORT PORTA               /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_SWDCLK_PIN 0U                   /*!<@brief PORTA pin index: 0 */
#define BOARD_INITPINS_SWDCLK_PIN_NAME JTAG_TCLK       /*!<@brief Pin name */
#define BOARD_INITPINS_SWDCLK_LABEL "SWD_CLK"          /*!<@brief Label */
#define BOARD_INITPINS_SWDCLK_NAME "SWDCLK"            /*!<@brief Identifier name */
                                                       /* @} */

/*! @name PORTA1 (coord J6), AIR_WAKEN
  @{ */
#define BOARD_INITPINS_AIR_WAKEN_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_AIR_WAKEN_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_AIR_WAKEN_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_AIR_WAKEN_GPIO_PIN 1U                        /*!<@brief PORTA pin index: 1 */
#define BOARD_INITPINS_AIR_WAKEN_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_AIR_WAKEN_PIN 1U                             /*!<@brief PORTA pin index: 1 */
#define BOARD_INITPINS_AIR_WAKEN_CHANNEL 1                          /*!<@brief GPIOA GPIO channel: 1 */
#define BOARD_INITPINS_AIR_WAKEN_PIN_NAME PTA1                      /*!<@brief Pin name */
#define BOARD_INITPINS_AIR_WAKEN_LABEL "AIR_WAKEN"                  /*!<@brief Label */
#define BOARD_INITPINS_AIR_WAKEN_NAME "AIR_WAKEN"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_AIR_WAKEN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTA2 (coord K6), TOUCH_RST
  @{ */
#define BOARD_INITPINS_TOUCH_RST_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_TOUCH_RST_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_TOUCH_RST_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_TOUCH_RST_GPIO_PIN 2U                        /*!<@brief PORTA pin index: 2 */
#define BOARD_INITPINS_TOUCH_RST_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_TOUCH_RST_PIN 2U                             /*!<@brief PORTA pin index: 2 */
#define BOARD_INITPINS_TOUCH_RST_CHANNEL 2                          /*!<@brief GPIOA GPIO channel: 2 */
#define BOARD_INITPINS_TOUCH_RST_PIN_NAME PTA2                      /*!<@brief Pin name */
#define BOARD_INITPINS_TOUCH_RST_LABEL "TOUCH_RST"                  /*!<@brief Label */
#define BOARD_INITPINS_TOUCH_RST_NAME "TOUCH_RST"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_TOUCH_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTA3 (coord K7), K64_SWDIO
  @{ */
#define BOARD_INITPINS_K64_SWDIO_PERIPHERAL JTAG         /*!<@brief Device name: JTAG */
#define BOARD_INITPINS_K64_SWDIO_SIGNAL JTAG_TMS_SWD_DIO /*!<@brief JTAG signal: JTAG_TMS_SWD_DIO */
#define BOARD_INITPINS_K64_SWDIO_PORT PORTA              /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_K64_SWDIO_PIN 3U                  /*!<@brief PORTA pin index: 3 */
#define BOARD_INITPINS_K64_SWDIO_PIN_NAME JTAG_TMS       /*!<@brief Pin name */
#define BOARD_INITPINS_K64_SWDIO_LABEL "K64_SWDIO"       /*!<@brief Label */
#define BOARD_INITPINS_K64_SWDIO_NAME "K64_SWDIO"        /*!<@brief Identifier name */
                                                         /* @} */

/*! @name PORTA4 (coord L7), USER_SW1
  @{ */
#define BOARD_INITPINS_USER_SW1_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_USER_SW1_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_USER_SW1_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_USER_SW1_GPIO_PIN 4U                       /*!<@brief PORTA pin index: 4 */
#define BOARD_INITPINS_USER_SW1_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_USER_SW1_PIN 4U                            /*!<@brief PORTA pin index: 4 */
#define BOARD_INITPINS_USER_SW1_CHANNEL 4                         /*!<@brief GPIOA GPIO channel: 4 */
#define BOARD_INITPINS_USER_SW1_PIN_NAME PTA4                     /*!<@brief Pin name */
#define BOARD_INITPINS_USER_SW1_LABEL "USER_SW1"                  /*!<@brief Label */
#define BOARD_INITPINS_USER_SW1_NAME "USER_SW1"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_USER_SW1_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTA5 (coord M8), I2S_TX_BCLK
  @{ */
#define BOARD_INITPINS_I2S_TX_BCLK_PERIPHERAL I2S0       /*!<@brief Device name: I2S0 */
#define BOARD_INITPINS_I2S_TX_BCLK_SIGNAL TX_BCLK        /*!<@brief I2S0 signal: TX_BCLK */
#define BOARD_INITPINS_I2S_TX_BCLK_PORT PORTA            /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2S_TX_BCLK_PIN 5U                /*!<@brief PORTA pin index: 5 */
#define BOARD_INITPINS_I2S_TX_BCLK_PIN_NAME I2S0_TX_BCLK /*!<@brief Pin name */
#define BOARD_INITPINS_I2S_TX_BCLK_LABEL "I2S_TX_BCLK"   /*!<@brief Label */
#define BOARD_INITPINS_I2S_TX_BCLK_NAME "I2S_TX_BCLK"    /*!<@brief Identifier name */
                                                         /* @} */

/*! @name PORTA6 (coord J7), AIR_RESETN
  @{ */
#define BOARD_INITPINS_AIR_RESETN_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_AIR_RESETN_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_AIR_RESETN_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_AIR_RESETN_GPIO_PIN 6U                        /*!<@brief PORTA pin index: 6 */
#define BOARD_INITPINS_AIR_RESETN_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_AIR_RESETN_PIN 6U                             /*!<@brief PORTA pin index: 6 */
#define BOARD_INITPINS_AIR_RESETN_CHANNEL 6                          /*!<@brief GPIOA GPIO channel: 6 */
#define BOARD_INITPINS_AIR_RESETN_PIN_NAME PTA6                      /*!<@brief Pin name */
#define BOARD_INITPINS_AIR_RESETN_LABEL "AIR_RESETN"                 /*!<@brief Label */
#define BOARD_INITPINS_AIR_RESETN_NAME "AIR_RESETN"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_AIR_RESETN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTA7 (coord J8), AIR_QUALITY_EN
  @{ */
#define BOARD_INITPINS_AIR_QUALITY_EN_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_AIR_QUALITY_EN_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_AIR_QUALITY_EN_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_AIR_QUALITY_EN_GPIO_PIN 7U                        /*!<@brief PORTA pin index: 7 */
#define BOARD_INITPINS_AIR_QUALITY_EN_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_AIR_QUALITY_EN_PIN 7U                             /*!<@brief PORTA pin index: 7 */
#define BOARD_INITPINS_AIR_QUALITY_EN_CHANNEL 7                          /*!<@brief GPIOA GPIO channel: 7 */
#define BOARD_INITPINS_AIR_QUALITY_EN_PIN_NAME PTA7                      /*!<@brief Pin name */
#define BOARD_INITPINS_AIR_QUALITY_EN_LABEL "AIR_QUALITY_EN"             /*!<@brief Label */
#define BOARD_INITPINS_AIR_QUALITY_EN_NAME "AIR_QUALITY_EN"              /*!<@brief Identifier name */
#define BOARD_INITPINS_AIR_QUALITY_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                         /* @} */

/*! @name PORTA8 (coord K8), BUZZER_PWM
  @{ */
#define BOARD_INITPINS_BUZZER_PWM_PERIPHERAL FTM1                    /*!<@brief Device name: FTM1 */
#define BOARD_INITPINS_BUZZER_PWM_SIGNAL CH                          /*!<@brief FTM1 signal: CH */
#define BOARD_INITPINS_BUZZER_PWM_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_BUZZER_PWM_PIN 8U                             /*!<@brief PORTA pin index: 8 */
#define BOARD_INITPINS_BUZZER_PWM_CHANNEL 0                          /*!<@brief FTM1 channel: 0 */
#define BOARD_INITPINS_BUZZER_PWM_PIN_NAME FTM1_CH0                  /*!<@brief Pin name */
#define BOARD_INITPINS_BUZZER_PWM_LABEL "BUZZER_PWM"                 /*!<@brief Label */
#define BOARD_INITPINS_BUZZER_PWM_NAME "BUZZER_PWM"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_BUZZER_PWM_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTA10 (coord M9), MB1_PWM
  @{ */
#define BOARD_INITPINS_MB1_PWM_PERIPHERAL FTM2                    /*!<@brief Device name: FTM2 */
#define BOARD_INITPINS_MB1_PWM_SIGNAL CH                          /*!<@brief FTM2 signal: CH */
#define BOARD_INITPINS_MB1_PWM_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_MB1_PWM_PIN 10U                            /*!<@brief PORTA pin index: 10 */
#define BOARD_INITPINS_MB1_PWM_CHANNEL 0                          /*!<@brief FTM2 channel: 0 */
#define BOARD_INITPINS_MB1_PWM_PIN_NAME FTM2_CH0                  /*!<@brief Pin name */
#define BOARD_INITPINS_MB1_PWM_LABEL "MB1_PWM"                    /*!<@brief Label */
#define BOARD_INITPINS_MB1_PWM_NAME "MB1_PWM"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB1_PWM_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTA11 (coord L9), MB2_PWM
  @{ */
#define BOARD_INITPINS_MB2_PWM_PERIPHERAL FTM2                    /*!<@brief Device name: FTM2 */
#define BOARD_INITPINS_MB2_PWM_SIGNAL CH                          /*!<@brief FTM2 signal: CH */
#define BOARD_INITPINS_MB2_PWM_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_MB2_PWM_PIN 11U                            /*!<@brief PORTA pin index: 11 */
#define BOARD_INITPINS_MB2_PWM_CHANNEL 1                          /*!<@brief FTM2 channel: 1 */
#define BOARD_INITPINS_MB2_PWM_PIN_NAME FTM2_CH1                  /*!<@brief Pin name */
#define BOARD_INITPINS_MB2_PWM_LABEL "MB2_PWM"                    /*!<@brief Label */
#define BOARD_INITPINS_MB2_PWM_NAME "MB2_PWM"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB2_PWM_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTA12 (coord K9), I2S_TXD
  @{ */
#define BOARD_INITPINS_I2S_TXD_PERIPHERAL I2S0    /*!<@brief Device name: I2S0 */
#define BOARD_INITPINS_I2S_TXD_SIGNAL TXD0        /*!<@brief I2S0 signal: TXD0 */
#define BOARD_INITPINS_I2S_TXD_PORT PORTA         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2S_TXD_PIN 12U            /*!<@brief PORTA pin index: 12 */
#define BOARD_INITPINS_I2S_TXD_PIN_NAME I2S0_TXD0 /*!<@brief Pin name */
#define BOARD_INITPINS_I2S_TXD_LABEL "I2S_TXD"    /*!<@brief Label */
#define BOARD_INITPINS_I2S_TXD_NAME "I2S_TXD"     /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTA13 (coord J9), I2S_TX_FS;I2C2_SDA
  @{ */
#define BOARD_INITPINS_I2C2_SDA_PERIPHERAL I2C2            /*!<@brief Device name: I2C2 */
#define BOARD_INITPINS_I2C2_SDA_SIGNAL SDA                 /*!<@brief I2C2 signal: SDA */
#define BOARD_INITPINS_I2C2_SDA_PORT PORTA                 /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2C2_SDA_PIN 13U                    /*!<@brief PORTA pin index: 13 */
#define BOARD_INITPINS_I2C2_SDA_PIN_NAME I2C2_SDA          /*!<@brief Pin name */
#define BOARD_INITPINS_I2C2_SDA_LABEL "I2S_TX_FS;I2C2_SDA" /*!<@brief Label */
#define BOARD_INITPINS_I2C2_SDA_NAME "I2C2_SDA"            /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PORTA14 (coord L10), I2S_RX_BCLK;I2C2_SCL
  @{ */
#define BOARD_INITPINS_I2C2_SCL_PERIPHERAL I2C2              /*!<@brief Device name: I2C2 */
#define BOARD_INITPINS_I2C2_SCL_SIGNAL SCL                   /*!<@brief I2C2 signal: SCL */
#define BOARD_INITPINS_I2C2_SCL_PORT PORTA                   /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2C2_SCL_PIN 14U                      /*!<@brief PORTA pin index: 14 */
#define BOARD_INITPINS_I2C2_SCL_PIN_NAME I2C2_SCL            /*!<@brief Pin name */
#define BOARD_INITPINS_I2C2_SCL_LABEL "I2S_RX_BCLK;I2C2_SCL" /*!<@brief Label */
#define BOARD_INITPINS_I2C2_SCL_NAME "I2C2_SCL"              /*!<@brief Identifier name */
                                                             /* @} */

/*! @name PORTA15 (coord L11), I2S_RXD
  @{ */
#define BOARD_INITPINS_I2S_RXD_PERIPHERAL I2S0    /*!<@brief Device name: I2S0 */
#define BOARD_INITPINS_I2S_RXD_SIGNAL RXD0        /*!<@brief I2S0 signal: RXD0 */
#define BOARD_INITPINS_I2S_RXD_PORT PORTA         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2S_RXD_PIN 15U            /*!<@brief PORTA pin index: 15 */
#define BOARD_INITPINS_I2S_RXD_PIN_NAME I2S0_RXD0 /*!<@brief Pin name */
#define BOARD_INITPINS_I2S_RXD_LABEL "I2S_RXD"    /*!<@brief Label */
#define BOARD_INITPINS_I2S_RXD_NAME "I2S_RXD"     /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTA16 (coord K10), I2S_RX_FS
  @{ */
#define BOARD_INITPINS_I2S_RX_FS_PERIPHERAL I2S0     /*!<@brief Device name: I2S0 */
#define BOARD_INITPINS_I2S_RX_FS_SIGNAL RX_FS        /*!<@brief I2S0 signal: RX_FS */
#define BOARD_INITPINS_I2S_RX_FS_PORT PORTA          /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2S_RX_FS_PIN 16U             /*!<@brief PORTA pin index: 16 */
#define BOARD_INITPINS_I2S_RX_FS_PIN_NAME I2S0_RX_FS /*!<@brief Pin name */
#define BOARD_INITPINS_I2S_RX_FS_LABEL "I2S_RX_FS"   /*!<@brief Label */
#define BOARD_INITPINS_I2S_RX_FS_NAME "I2S_RX_FS"    /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTA17 (coord K11), I2S_MCLK
  @{ */
#define BOARD_INITPINS_I2S_MCLK_PERIPHERAL I2S0    /*!<@brief Device name: I2S0 */
#define BOARD_INITPINS_I2S_MCLK_SIGNAL MCLK        /*!<@brief I2S0 signal: MCLK */
#define BOARD_INITPINS_I2S_MCLK_PORT PORTA         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_I2S_MCLK_PIN 17U            /*!<@brief PORTA pin index: 17 */
#define BOARD_INITPINS_I2S_MCLK_PIN_NAME I2S0_MCLK /*!<@brief Pin name */
#define BOARD_INITPINS_I2S_MCLK_LABEL "I2S_MCLK"   /*!<@brief Label */
#define BOARD_INITPINS_I2S_MCLK_NAME "I2S_MCLK"    /*!<@brief Identifier name */
                                                   /* @} */

/*! @name PORTA19 (coord M11), K64_XTAL
  @{ */
#define BOARD_INITPINS_K64_XTAL_PERIPHERAL OSC   /*!<@brief Device name: OSC */
#define BOARD_INITPINS_K64_XTAL_SIGNAL XTAL0     /*!<@brief OSC signal: XTAL0 */
#define BOARD_INITPINS_K64_XTAL_PORT PORTA       /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_K64_XTAL_PIN 19U          /*!<@brief PORTA pin index: 19 */
#define BOARD_INITPINS_K64_XTAL_PIN_NAME XTAL0   /*!<@brief Pin name */
#define BOARD_INITPINS_K64_XTAL_LABEL "K64_XTAL" /*!<@brief Label */
#define BOARD_INITPINS_K64_XTAL_NAME "K64_XTAL"  /*!<@brief Identifier name */
                                                 /* @} */

/*! @name PORTA24 (coord K12), TOUCH_TXEN
  @{ */
#define BOARD_INITPINS_TOUCH_TXEN_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_TOUCH_TXEN_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_TOUCH_TXEN_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_TOUCH_TXEN_GPIO_PIN 24U                       /*!<@brief PORTA pin index: 24 */
#define BOARD_INITPINS_TOUCH_TXEN_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_TOUCH_TXEN_PIN 24U                            /*!<@brief PORTA pin index: 24 */
#define BOARD_INITPINS_TOUCH_TXEN_CHANNEL 24                         /*!<@brief GPIOA GPIO channel: 24 */
#define BOARD_INITPINS_TOUCH_TXEN_PIN_NAME PTA24                     /*!<@brief Pin name */
#define BOARD_INITPINS_TOUCH_TXEN_LABEL "TOUCH_TXEN"                 /*!<@brief Label */
#define BOARD_INITPINS_TOUCH_TXEN_NAME "TOUCH_TXEN"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_TOUCH_TXEN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTA25 (coord J12), AUTH_RST
  @{ */
#define BOARD_INITPINS_AUTH_RST_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_AUTH_RST_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_AUTH_RST_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_AUTH_RST_GPIO_PIN 25U                       /*!<@brief PORTA pin index: 25 */
#define BOARD_INITPINS_AUTH_RST_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_AUTH_RST_PIN 25U                            /*!<@brief PORTA pin index: 25 */
#define BOARD_INITPINS_AUTH_RST_CHANNEL 25                         /*!<@brief GPIOA GPIO channel: 25 */
#define BOARD_INITPINS_AUTH_RST_PIN_NAME PTA25                     /*!<@brief Pin name */
#define BOARD_INITPINS_AUTH_RST_LABEL "AUTH_RST"                   /*!<@brief Label */
#define BOARD_INITPINS_AUTH_RST_NAME "AUTH_RST"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_AUTH_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTA26 (coord J11), MB2_RST
  @{ */
#define BOARD_INITPINS_MB2_RST_PERIPHERAL GPIOA                   /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_MB2_RST_SIGNAL GPIO                        /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_MB2_RST_GPIO GPIOA                         /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_MB2_RST_GPIO_PIN 26U                       /*!<@brief PORTA pin index: 26 */
#define BOARD_INITPINS_MB2_RST_PORT PORTA                         /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_MB2_RST_PIN 26U                            /*!<@brief PORTA pin index: 26 */
#define BOARD_INITPINS_MB2_RST_CHANNEL 26                         /*!<@brief GPIOA GPIO channel: 26 */
#define BOARD_INITPINS_MB2_RST_PIN_NAME PTA26                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB2_RST_LABEL "MB2_RST"                    /*!<@brief Label */
#define BOARD_INITPINS_MB2_RST_NAME "MB2_RST"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB2_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTA27 (coord J10), AIR_INTN
  @{ */
#define BOARD_INITPINS_AIR_INTN_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_AIR_INTN_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_AIR_INTN_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_AIR_INTN_GPIO_PIN 27U                      /*!<@brief PORTA pin index: 27 */
#define BOARD_INITPINS_AIR_INTN_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_AIR_INTN_PIN 27U                           /*!<@brief PORTA pin index: 27 */
#define BOARD_INITPINS_AIR_INTN_CHANNEL 27                        /*!<@brief GPIOA GPIO channel: 27 */
#define BOARD_INITPINS_AIR_INTN_PIN_NAME PTA27                    /*!<@brief Pin name */
#define BOARD_INITPINS_AIR_INTN_LABEL "AIR_INTN"                  /*!<@brief Label */
#define BOARD_INITPINS_AIR_INTN_NAME "AIR_INTN"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_AIR_INTN_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTA28 (coord H12), NTAG_FD
  @{ */
#define BOARD_INITPINS_NTAG_FD_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_NTAG_FD_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_NTAG_FD_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_NTAG_FD_GPIO_PIN 28U                      /*!<@brief PORTA pin index: 28 */
#define BOARD_INITPINS_NTAG_FD_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_NTAG_FD_PIN 28U                           /*!<@brief PORTA pin index: 28 */
#define BOARD_INITPINS_NTAG_FD_CHANNEL 28                        /*!<@brief GPIOA GPIO channel: 28 */
#define BOARD_INITPINS_NTAG_FD_PIN_NAME PTA28                    /*!<@brief Pin name */
#define BOARD_INITPINS_NTAG_FD_LABEL "NTAG_FD"                   /*!<@brief Label */
#define BOARD_INITPINS_NTAG_FD_NAME "NTAG_FD"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_NTAG_FD_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTA29 (coord H11), CHG_STATE
  @{ */
#define BOARD_INITPINS_CHG_STATE_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_CHG_STATE_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_CHG_STATE_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_CHG_STATE_GPIO_PIN 29U                      /*!<@brief PORTA pin index: 29 */
#define BOARD_INITPINS_CHG_STATE_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_CHG_STATE_PIN 29U                           /*!<@brief PORTA pin index: 29 */
#define BOARD_INITPINS_CHG_STATE_CHANNEL 29                        /*!<@brief GPIOA GPIO channel: 29 */
#define BOARD_INITPINS_CHG_STATE_PIN_NAME PTA29                    /*!<@brief Pin name */
#define BOARD_INITPINS_CHG_STATE_LABEL "CHG_STATE"                 /*!<@brief Label */
#define BOARD_INITPINS_CHG_STATE_NAME "CHG_STATE"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_CHG_STATE_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTB0 (coord H10), KW41_WAKE_UP
  @{ */
#define BOARD_INITPINS_KW41_WAKE_UP_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_KW41_WAKE_UP_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_KW41_WAKE_UP_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_KW41_WAKE_UP_GPIO_PIN 0U                        /*!<@brief PORTB pin index: 0 */
#define BOARD_INITPINS_KW41_WAKE_UP_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_KW41_WAKE_UP_PIN 0U                             /*!<@brief PORTB pin index: 0 */
#define BOARD_INITPINS_KW41_WAKE_UP_CHANNEL 0                          /*!<@brief GPIOB GPIO channel: 0 */
#define BOARD_INITPINS_KW41_WAKE_UP_PIN_NAME PTB0                      /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_WAKE_UP_LABEL "KW41_WAKE_UP"               /*!<@brief Label */
#define BOARD_INITPINS_KW41_WAKE_UP_NAME "KW41_WAKE_UP"                /*!<@brief Identifier name */
#define BOARD_INITPINS_KW41_WAKE_UP_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                       /* @} */

/*! @name PORTB1 (coord H9), MB3_PWM
  @{ */
#define BOARD_INITPINS_MB3_PWM_PERIPHERAL FTM1                    /*!<@brief Device name: FTM1 */
#define BOARD_INITPINS_MB3_PWM_SIGNAL CH                          /*!<@brief FTM1 signal: CH */
#define BOARD_INITPINS_MB3_PWM_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB3_PWM_PIN 1U                             /*!<@brief PORTB pin index: 1 */
#define BOARD_INITPINS_MB3_PWM_CHANNEL 1                          /*!<@brief FTM1 channel: 1 */
#define BOARD_INITPINS_MB3_PWM_PIN_NAME FTM1_CH1                  /*!<@brief Pin name */
#define BOARD_INITPINS_MB3_PWM_LABEL "MB3_PWM"                    /*!<@brief Label */
#define BOARD_INITPINS_MB3_PWM_NAME "MB3_PWM"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB3_PWM_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTB2 (coord G12), I2C0_SCL
  @{ */
#define BOARD_INITPINS_I2C0_SCL_PERIPHERAL I2C0   /*!<@brief Device name: I2C0 */
#define BOARD_INITPINS_I2C0_SCL_SIGNAL SCL        /*!<@brief I2C0 signal: SCL */
#define BOARD_INITPINS_I2C0_SCL_PORT PORTB        /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_I2C0_SCL_PIN 2U            /*!<@brief PORTB pin index: 2 */
#define BOARD_INITPINS_I2C0_SCL_PIN_NAME I2C0_SCL /*!<@brief Pin name */
#define BOARD_INITPINS_I2C0_SCL_LABEL "I2C0_SCL"  /*!<@brief Label */
#define BOARD_INITPINS_I2C0_SCL_NAME "I2C0_SCL"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB3 (coord G11), I2C0_SDA
  @{ */
#define BOARD_INITPINS_I2C0_SDA_PERIPHERAL I2C0   /*!<@brief Device name: I2C0 */
#define BOARD_INITPINS_I2C0_SDA_SIGNAL SDA        /*!<@brief I2C0 signal: SDA */
#define BOARD_INITPINS_I2C0_SDA_PORT PORTB        /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_I2C0_SDA_PIN 3U            /*!<@brief PORTB pin index: 3 */
#define BOARD_INITPINS_I2C0_SDA_PIN_NAME I2C0_SDA /*!<@brief Pin name */
#define BOARD_INITPINS_I2C0_SDA_LABEL "I2C0_SDA"  /*!<@brief Label */
#define BOARD_INITPINS_I2C0_SDA_NAME "I2C0_SDA"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB4 (coord G10), MB1_INT
  @{ */
#define BOARD_INITPINS_MB1_INT_PERIPHERAL GPIOB                  /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_MB1_INT_SIGNAL GPIO                       /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_MB1_INT_GPIO GPIOB                        /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_MB1_INT_GPIO_PIN 4U                       /*!<@brief PORTB pin index: 4 */
#define BOARD_INITPINS_MB1_INT_PORT PORTB                        /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB1_INT_PIN 4U                            /*!<@brief PORTB pin index: 4 */
#define BOARD_INITPINS_MB1_INT_CHANNEL 4                         /*!<@brief GPIOB GPIO channel: 4 */
#define BOARD_INITPINS_MB1_INT_PIN_NAME PTB4                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB1_INT_LABEL "MB1_INT"                   /*!<@brief Label */
#define BOARD_INITPINS_MB1_INT_NAME "MB1_INT"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_MB1_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTB6 (coord F12), MB3_AN
  @{ */
#define BOARD_INITPINS_MB3_AN_PERIPHERAL ADC1    /*!<@brief Device name: ADC1 */
#define BOARD_INITPINS_MB3_AN_SIGNAL SE          /*!<@brief ADC1 signal: SE */
#define BOARD_INITPINS_MB3_AN_PORT PORTB         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB3_AN_PIN 6U             /*!<@brief PORTB pin index: 6 */
#define BOARD_INITPINS_MB3_AN_CHANNEL 12         /*!<@brief ADC1 SE channel: 12 */
#define BOARD_INITPINS_MB3_AN_PIN_NAME ADC1_SE12 /*!<@brief Pin name */
#define BOARD_INITPINS_MB3_AN_LABEL "MB3_AN"     /*!<@brief Label */
#define BOARD_INITPINS_MB3_AN_NAME "MB3_AN"      /*!<@brief Identifier name */
                                                 /* @} */

/*! @name PORTB7 (coord F11), MB3_INT
  @{ */
#define BOARD_INITPINS_MB3_INT_PERIPHERAL GPIOB                  /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_MB3_INT_SIGNAL GPIO                       /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_MB3_INT_GPIO GPIOB                        /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_MB3_INT_GPIO_PIN 7U                       /*!<@brief PORTB pin index: 7 */
#define BOARD_INITPINS_MB3_INT_PORT PORTB                        /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB3_INT_PIN 7U                            /*!<@brief PORTB pin index: 7 */
#define BOARD_INITPINS_MB3_INT_CHANNEL 7                         /*!<@brief GPIOB GPIO channel: 7 */
#define BOARD_INITPINS_MB3_INT_PIN_NAME PTB7                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB3_INT_LABEL "MB3_INT"                   /*!<@brief Label */
#define BOARD_INITPINS_MB3_INT_NAME "MB3_INT"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_MB3_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTB8 (coord F10), MB2_INT
  @{ */
#define BOARD_INITPINS_MB2_INT_PERIPHERAL GPIOB                  /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_MB2_INT_SIGNAL GPIO                       /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_MB2_INT_GPIO GPIOB                        /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_MB2_INT_GPIO_PIN 8U                       /*!<@brief PORTB pin index: 8 */
#define BOARD_INITPINS_MB2_INT_PORT PORTB                        /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB2_INT_PIN 8U                            /*!<@brief PORTB pin index: 8 */
#define BOARD_INITPINS_MB2_INT_CHANNEL 8                         /*!<@brief GPIOB GPIO channel: 8 */
#define BOARD_INITPINS_MB2_INT_PIN_NAME PTB8                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB2_INT_LABEL "MB2_INT"                   /*!<@brief Label */
#define BOARD_INITPINS_MB2_INT_NAME "MB2_INT"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_MB2_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTB9 (coord F9), SPI1_PCS1
  @{ */
#define BOARD_INITPINS_SPI1_PCS1_PERIPHERAL SPI1    /*!<@brief Device name: SPI1 */
#define BOARD_INITPINS_SPI1_PCS1_SIGNAL PCS1        /*!<@brief SPI1 signal: PCS1 */
#define BOARD_INITPINS_SPI1_PCS1_PORT PORTB         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_SPI1_PCS1_PIN 9U             /*!<@brief PORTB pin index: 9 */
#define BOARD_INITPINS_SPI1_PCS1_PIN_NAME SPI1_PCS1 /*!<@brief Pin name */
#define BOARD_INITPINS_SPI1_PCS1_LABEL "SPI1_PCS1"  /*!<@brief Label */
#define BOARD_INITPINS_SPI1_PCS1_NAME "SPI1_PCS1"   /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTB10 (coord E12), MB3_RST
  @{ */
#define BOARD_INITPINS_MB3_RST_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_MB3_RST_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_MB3_RST_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_MB3_RST_GPIO_PIN 10U                       /*!<@brief PORTB pin index: 10 */
#define BOARD_INITPINS_MB3_RST_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB3_RST_PIN 10U                            /*!<@brief PORTB pin index: 10 */
#define BOARD_INITPINS_MB3_RST_CHANNEL 10                         /*!<@brief GPIOB GPIO channel: 10 */
#define BOARD_INITPINS_MB3_RST_PIN_NAME PTB10                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB3_RST_LABEL "MB3_RST"                    /*!<@brief Label */
#define BOARD_INITPINS_MB3_RST_NAME "MB3_RST"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB3_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTB11 (coord E11), MB1_RST
  @{ */
#define BOARD_INITPINS_MB1_RST_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_MB1_RST_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_MB1_RST_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_MB1_RST_GPIO_PIN 11U                       /*!<@brief PORTB pin index: 11 */
#define BOARD_INITPINS_MB1_RST_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_MB1_RST_PIN 11U                            /*!<@brief PORTB pin index: 11 */
#define BOARD_INITPINS_MB1_RST_CHANNEL 11                         /*!<@brief GPIOB GPIO channel: 11 */
#define BOARD_INITPINS_MB1_RST_PIN_NAME PTB11                     /*!<@brief Pin name */
#define BOARD_INITPINS_MB1_RST_LABEL "MB1_RST"                    /*!<@brief Label */
#define BOARD_INITPINS_MB1_RST_NAME "MB1_RST"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_MB1_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTB16 (coord E10), UART_DBG_RX
  @{ */
#define BOARD_INITPINS_UART_DBG_RX_PERIPHERAL UART0    /*!<@brief Device name: UART0 */
#define BOARD_INITPINS_UART_DBG_RX_SIGNAL RX           /*!<@brief UART0 signal: RX */
#define BOARD_INITPINS_UART_DBG_RX_PORT PORTB          /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_UART_DBG_RX_PIN 16U             /*!<@brief PORTB pin index: 16 */
#define BOARD_INITPINS_UART_DBG_RX_PIN_NAME UART0_RX   /*!<@brief Pin name */
#define BOARD_INITPINS_UART_DBG_RX_LABEL "UART_DBG_RX" /*!<@brief Label */
#define BOARD_INITPINS_UART_DBG_RX_NAME "UART_DBG_RX"  /*!<@brief Identifier name */
                                                       /* @} */

/*! @name PORTB17 (coord E9), UART_DBG_TX
  @{ */
#define BOARD_INITPINS_UART_DBG_TX_PERIPHERAL UART0                   /*!<@brief Device name: UART0 */
#define BOARD_INITPINS_UART_DBG_TX_SIGNAL TX                          /*!<@brief UART0 signal: TX */
#define BOARD_INITPINS_UART_DBG_TX_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_UART_DBG_TX_PIN 17U                            /*!<@brief PORTB pin index: 17 */
#define BOARD_INITPINS_UART_DBG_TX_PIN_NAME UART0_TX                  /*!<@brief Pin name */
#define BOARD_INITPINS_UART_DBG_TX_LABEL "UART_DBG_TX"                /*!<@brief Label */
#define BOARD_INITPINS_UART_DBG_TX_NAME "UART_DBG_TX"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_UART_DBG_TX_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                      /* @} */

/*! @name PORTB18 (coord D12), CAN_TX
  @{ */
#define BOARD_INITPINS_CAN_TX_PERIPHERAL CAN0  /*!<@brief Device name: CAN0 */
#define BOARD_INITPINS_CAN_TX_SIGNAL TX        /*!<@brief CAN0 signal: TX */
#define BOARD_INITPINS_CAN_TX_PORT PORTB       /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_CAN_TX_PIN 18U          /*!<@brief PORTB pin index: 18 */
#define BOARD_INITPINS_CAN_TX_PIN_NAME CAN0_TX /*!<@brief Pin name */
#define BOARD_INITPINS_CAN_TX_LABEL "CAN_TX"   /*!<@brief Label */
#define BOARD_INITPINS_CAN_TX_NAME "CAN_TX"    /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTB19 (coord D11), CAN_RX
  @{ */
#define BOARD_INITPINS_CAN_RX_PERIPHERAL CAN0  /*!<@brief Device name: CAN0 */
#define BOARD_INITPINS_CAN_RX_SIGNAL RX        /*!<@brief CAN0 signal: RX */
#define BOARD_INITPINS_CAN_RX_PORT PORTB       /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_CAN_RX_PIN 19U          /*!<@brief PORTB pin index: 19 */
#define BOARD_INITPINS_CAN_RX_PIN_NAME CAN0_RX /*!<@brief Pin name */
#define BOARD_INITPINS_CAN_RX_LABEL "CAN_RX"   /*!<@brief Label */
#define BOARD_INITPINS_CAN_RX_NAME "CAN_RX"    /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTB23 (coord C11), KW41_RST
  @{ */
#define BOARD_INITPINS_KW41_RST_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_KW41_RST_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_KW41_RST_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_KW41_RST_GPIO_PIN 23U                       /*!<@brief PORTB pin index: 23 */
#define BOARD_INITPINS_KW41_RST_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_KW41_RST_PIN 23U                            /*!<@brief PORTB pin index: 23 */
#define BOARD_INITPINS_KW41_RST_CHANNEL 23                         /*!<@brief GPIOB GPIO channel: 23 */
#define BOARD_INITPINS_KW41_RST_PIN_NAME PTB23                     /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_RST_LABEL "KW41_RST"                   /*!<@brief Label */
#define BOARD_INITPINS_KW41_RST_NAME "KW41_RST"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_KW41_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTC0 (coord B12), AMB_INT
  @{ */
#define BOARD_INITPINS_AMB_INT_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_AMB_INT_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_AMB_INT_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_AMB_INT_GPIO_PIN 0U                       /*!<@brief PORTC pin index: 0 */
#define BOARD_INITPINS_AMB_INT_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_AMB_INT_PIN 0U                            /*!<@brief PORTC pin index: 0 */
#define BOARD_INITPINS_AMB_INT_CHANNEL 0                         /*!<@brief GPIOC GPIO channel: 0 */
#define BOARD_INITPINS_AMB_INT_PIN_NAME PTC0                     /*!<@brief Pin name */
#define BOARD_INITPINS_AMB_INT_LABEL "AMB_INT"                   /*!<@brief Label */
#define BOARD_INITPINS_AMB_INT_NAME "AMB_INT"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_AMB_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTC1 (coord B11), ACCEL_INT1
  @{ */
#define BOARD_INITPINS_ACCEL_INT1_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_ACCEL_INT1_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_ACCEL_INT1_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_ACCEL_INT1_GPIO_PIN 1U                       /*!<@brief PORTC pin index: 1 */
#define BOARD_INITPINS_ACCEL_INT1_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_ACCEL_INT1_PIN 1U                            /*!<@brief PORTC pin index: 1 */
#define BOARD_INITPINS_ACCEL_INT1_CHANNEL 1                         /*!<@brief GPIOC GPIO channel: 1 */
#define BOARD_INITPINS_ACCEL_INT1_PIN_NAME PTC1                     /*!<@brief Pin name */
#define BOARD_INITPINS_ACCEL_INT1_LABEL "ACCEL_INT1"                /*!<@brief Label */
#define BOARD_INITPINS_ACCEL_INT1_NAME "ACCEL_INT1"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_ACCEL_INT1_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTC2 (coord A12), MB3_SPI_CS
  @{ */
#define BOARD_INITPINS_MB3_SPI_CS_PERIPHERAL SPI0    /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB3_SPI_CS_SIGNAL PCS2        /*!<@brief SPI0 signal: PCS2 */
#define BOARD_INITPINS_MB3_SPI_CS_PORT PORTC         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB3_SPI_CS_PIN 2U             /*!<@brief PORTC pin index: 2 */
#define BOARD_INITPINS_MB3_SPI_CS_PIN_NAME SPI0_PCS2 /*!<@brief Pin name */
#define BOARD_INITPINS_MB3_SPI_CS_LABEL "MB3_SPI_CS" /*!<@brief Label */
#define BOARD_INITPINS_MB3_SPI_CS_NAME "MB3_SPI_CS"  /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTC3 (coord A11), MB2_SPI_CS
  @{ */
#define BOARD_INITPINS_MB2_SPI_CS_PERIPHERAL SPI0    /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB2_SPI_CS_SIGNAL PCS1        /*!<@brief SPI0 signal: PCS1 */
#define BOARD_INITPINS_MB2_SPI_CS_PORT PORTC         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB2_SPI_CS_PIN 3U             /*!<@brief PORTC pin index: 3 */
#define BOARD_INITPINS_MB2_SPI_CS_PIN_NAME SPI0_PCS1 /*!<@brief Pin name */
#define BOARD_INITPINS_MB2_SPI_CS_LABEL "MB2_SPI_CS" /*!<@brief Label */
#define BOARD_INITPINS_MB2_SPI_CS_NAME "MB2_SPI_CS"  /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTC4 (coord A9), MB1_SPI_CS
  @{ */
#define BOARD_INITPINS_MB1_SPI_CS_PERIPHERAL SPI0                    /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB1_SPI_CS_SIGNAL PCS0_SS                     /*!<@brief SPI0 signal: PCS0_SS */
#define BOARD_INITPINS_MB1_SPI_CS_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB1_SPI_CS_PIN 4U                             /*!<@brief PORTC pin index: 4 */
#define BOARD_INITPINS_MB1_SPI_CS_PIN_NAME SPI0_PCS0                 /*!<@brief Pin name */
#define BOARD_INITPINS_MB1_SPI_CS_LABEL "MB1_SPI_CS"                 /*!<@brief Label */
#define BOARD_INITPINS_MB1_SPI_CS_NAME "MB1_SPI_CS"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_MB1_SPI_CS_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTC5 (coord D8), MB_SPI_SCK
  @{ */
#define BOARD_INITPINS_MB_SPI_SCK_PERIPHERAL SPI0                    /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB_SPI_SCK_SIGNAL SCK                         /*!<@brief SPI0 signal: SCK */
#define BOARD_INITPINS_MB_SPI_SCK_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB_SPI_SCK_PIN 5U                             /*!<@brief PORTC pin index: 5 */
#define BOARD_INITPINS_MB_SPI_SCK_PIN_NAME SPI0_SCK                  /*!<@brief Pin name */
#define BOARD_INITPINS_MB_SPI_SCK_LABEL "MB_SPI_SCK"                 /*!<@brief Label */
#define BOARD_INITPINS_MB_SPI_SCK_NAME "MB_SPI_SCK"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_MB_SPI_SCK_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTC6 (coord C8), MB_SPI_MOSI
  @{ */
#define BOARD_INITPINS_MB_SPI_MOSI_PERIPHERAL SPI0     /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB_SPI_MOSI_SIGNAL SOUT         /*!<@brief SPI0 signal: SOUT */
#define BOARD_INITPINS_MB_SPI_MOSI_PORT PORTC          /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB_SPI_MOSI_PIN 6U              /*!<@brief PORTC pin index: 6 */
#define BOARD_INITPINS_MB_SPI_MOSI_PIN_NAME SPI0_SOUT  /*!<@brief Pin name */
#define BOARD_INITPINS_MB_SPI_MOSI_LABEL "MB_SPI_MOSI" /*!<@brief Label */
#define BOARD_INITPINS_MB_SPI_MOSI_NAME "MB_SPI_MOSI"  /*!<@brief Identifier name */
                                                       /* @} */

/*! @name PORTC7 (coord B8), MB_SPI_MISO
  @{ */
#define BOARD_INITPINS_MB_SPI_MISO_PERIPHERAL SPI0     /*!<@brief Device name: SPI0 */
#define BOARD_INITPINS_MB_SPI_MISO_SIGNAL SIN          /*!<@brief SPI0 signal: SIN */
#define BOARD_INITPINS_MB_SPI_MISO_PORT PORTC          /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_MB_SPI_MISO_PIN 7U              /*!<@brief PORTC pin index: 7 */
#define BOARD_INITPINS_MB_SPI_MISO_PIN_NAME SPI0_SIN   /*!<@brief Pin name */
#define BOARD_INITPINS_MB_SPI_MISO_LABEL "MB_SPI_MISO" /*!<@brief Label */
#define BOARD_INITPINS_MB_SPI_MISO_NAME "MB_SPI_MISO"  /*!<@brief Identifier name */
                                                       /* @} */

/*! @name PORTC10 (coord C7), I2C1_SCL
  @{ */
#define BOARD_INITPINS_I2C1_SCL_PERIPHERAL I2C1   /*!<@brief Device name: I2C1 */
#define BOARD_INITPINS_I2C1_SCL_SIGNAL SCL        /*!<@brief I2C1 signal: SCL */
#define BOARD_INITPINS_I2C1_SCL_PORT PORTC        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_I2C1_SCL_PIN 10U           /*!<@brief PORTC pin index: 10 */
#define BOARD_INITPINS_I2C1_SCL_PIN_NAME I2C1_SCL /*!<@brief Pin name */
#define BOARD_INITPINS_I2C1_SCL_LABEL "I2C1_SCL"  /*!<@brief Label */
#define BOARD_INITPINS_I2C1_SCL_NAME "I2C1_SCL"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC11 (coord B7), I2C1_SDA
  @{ */
#define BOARD_INITPINS_I2C1_SDA_PERIPHERAL I2C1   /*!<@brief Device name: I2C1 */
#define BOARD_INITPINS_I2C1_SDA_SIGNAL SDA        /*!<@brief I2C1 signal: SDA */
#define BOARD_INITPINS_I2C1_SDA_PORT PORTC        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_I2C1_SDA_PIN 11U           /*!<@brief PORTC pin index: 11 */
#define BOARD_INITPINS_I2C1_SDA_PIN_NAME I2C1_SDA /*!<@brief Pin name */
#define BOARD_INITPINS_I2C1_SDA_LABEL "I2C1_SDA"  /*!<@brief Label */
#define BOARD_INITPINS_I2C1_SDA_NAME "I2C1_SDA"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC12 (coord A7), NTAG_EN
  @{ */
#define BOARD_INITPINS_NTAG_EN_PERIPHERAL GPIOC                   /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_NTAG_EN_SIGNAL GPIO                        /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_NTAG_EN_GPIO GPIOC                         /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_NTAG_EN_GPIO_PIN 12U                       /*!<@brief PORTC pin index: 12 */
#define BOARD_INITPINS_NTAG_EN_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_NTAG_EN_PIN 12U                            /*!<@brief PORTC pin index: 12 */
#define BOARD_INITPINS_NTAG_EN_CHANNEL 12                         /*!<@brief GPIOC GPIO channel: 12 */
#define BOARD_INITPINS_NTAG_EN_PIN_NAME PTC12                     /*!<@brief Pin name */
#define BOARD_INITPINS_NTAG_EN_LABEL "NTAG_EN"                    /*!<@brief Label */
#define BOARD_INITPINS_NTAG_EN_NAME "NTAG_EN"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_NTAG_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTC13 (coord D6), KW41_PB18
  @{ */
#define BOARD_INITPINS_KW41_PB18_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_KW41_PB18_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_KW41_PB18_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_KW41_PB18_GPIO_PIN 13U                      /*!<@brief PORTC pin index: 13 */
#define BOARD_INITPINS_KW41_PB18_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_KW41_PB18_PIN 13U                           /*!<@brief PORTC pin index: 13 */
#define BOARD_INITPINS_KW41_PB18_CHANNEL 13                        /*!<@brief GPIOC GPIO channel: 13 */
#define BOARD_INITPINS_KW41_PB18_PIN_NAME PTC13                    /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_PB18_LABEL "KW41_PB18"                 /*!<@brief Label */
#define BOARD_INITPINS_KW41_PB18_NAME "KW41_PB18"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_KW41_PB18_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTC14 (coord C6), BAT_SENS_EN
  @{ */
#define BOARD_INITPINS_BAT_SENS_EN_PERIPHERAL GPIOC                   /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_BAT_SENS_EN_SIGNAL GPIO                        /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_BAT_SENS_EN_GPIO GPIOC                         /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_BAT_SENS_EN_GPIO_PIN 14U                       /*!<@brief PORTC pin index: 14 */
#define BOARD_INITPINS_BAT_SENS_EN_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_BAT_SENS_EN_PIN 14U                            /*!<@brief PORTC pin index: 14 */
#define BOARD_INITPINS_BAT_SENS_EN_CHANNEL 14                         /*!<@brief GPIOC GPIO channel: 14 */
#define BOARD_INITPINS_BAT_SENS_EN_PIN_NAME PTC14                     /*!<@brief Pin name */
#define BOARD_INITPINS_BAT_SENS_EN_LABEL "BAT_SENS_EN"                /*!<@brief Label */
#define BOARD_INITPINS_BAT_SENS_EN_NAME "BAT_SENS_EN"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_BAT_SENS_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                      /* @} */

/*! @name PORTC15 (coord B6), GYRO_RST
  @{ */
#define BOARD_INITPINS_GYRO_RST_PERIPHERAL GPIOC                   /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_GYRO_RST_SIGNAL GPIO                        /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_GYRO_RST_GPIO GPIOC                         /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_GYRO_RST_GPIO_PIN 15U                       /*!<@brief PORTC pin index: 15 */
#define BOARD_INITPINS_GYRO_RST_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_GYRO_RST_PIN 15U                            /*!<@brief PORTC pin index: 15 */
#define BOARD_INITPINS_GYRO_RST_CHANNEL 15                         /*!<@brief GPIOC GPIO channel: 15 */
#define BOARD_INITPINS_GYRO_RST_PIN_NAME PTC15                     /*!<@brief Pin name */
#define BOARD_INITPINS_GYRO_RST_LABEL "GYRO_RST"                   /*!<@brief Label */
#define BOARD_INITPINS_GYRO_RST_NAME "GYRO_RST"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_GYRO_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTC16 (coord A6), UART3_RX
  @{ */
#define BOARD_INITPINS_UART3_RX_PERIPHERAL UART3  /*!<@brief Device name: UART3 */
#define BOARD_INITPINS_UART3_RX_SIGNAL RX         /*!<@brief UART3 signal: RX */
#define BOARD_INITPINS_UART3_RX_PORT PORTC        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_UART3_RX_PIN 16U           /*!<@brief PORTC pin index: 16 */
#define BOARD_INITPINS_UART3_RX_PIN_NAME UART3_RX /*!<@brief Pin name */
#define BOARD_INITPINS_UART3_RX_LABEL "UART3_RX"  /*!<@brief Label */
#define BOARD_INITPINS_UART3_RX_NAME "UART3_RX"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC17 (coord D5), UART3_TX
  @{ */
#define BOARD_INITPINS_UART3_TX_PERIPHERAL UART3                   /*!<@brief Device name: UART3 */
#define BOARD_INITPINS_UART3_TX_SIGNAL TX                          /*!<@brief UART3 signal: TX */
#define BOARD_INITPINS_UART3_TX_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_UART3_TX_PIN 17U                            /*!<@brief PORTC pin index: 17 */
#define BOARD_INITPINS_UART3_TX_PIN_NAME UART3_TX                  /*!<@brief Pin name */
#define BOARD_INITPINS_UART3_TX_LABEL "UART3_TX"                   /*!<@brief Label */
#define BOARD_INITPINS_UART3_TX_NAME "UART3_TX"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_UART3_TX_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTC18 (coord C5), GYRO_INT2
  @{ */
#define BOARD_INITPINS_GYRO_INT2_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_GYRO_INT2_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_GYRO_INT2_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_GYRO_INT2_GPIO_PIN 18U                      /*!<@brief PORTC pin index: 18 */
#define BOARD_INITPINS_GYRO_INT2_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_GYRO_INT2_PIN 18U                           /*!<@brief PORTC pin index: 18 */
#define BOARD_INITPINS_GYRO_INT2_CHANNEL 18                        /*!<@brief GPIOC GPIO channel: 18 */
#define BOARD_INITPINS_GYRO_INT2_PIN_NAME PTC18                    /*!<@brief Pin name */
#define BOARD_INITPINS_GYRO_INT2_LABEL "GYRO_INT2"                 /*!<@brief Label */
#define BOARD_INITPINS_GYRO_INT2_NAME "GYRO_INT2"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_GYRO_INT2_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTC19 (coord B5), USB_VBUS
  @{ */
#define BOARD_INITPINS_USB_VBUS_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_INITPINS_USB_VBUS_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_INITPINS_USB_VBUS_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_INITPINS_USB_VBUS_GPIO_PIN 19U                      /*!<@brief PORTC pin index: 19 */
#define BOARD_INITPINS_USB_VBUS_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_USB_VBUS_PIN 19U                           /*!<@brief PORTC pin index: 19 */
#define BOARD_INITPINS_USB_VBUS_CHANNEL 19                        /*!<@brief GPIOC GPIO channel: 19 */
#define BOARD_INITPINS_USB_VBUS_PIN_NAME PTC19                    /*!<@brief Pin name */
#define BOARD_INITPINS_USB_VBUS_LABEL "USB_VBUS"                  /*!<@brief Label */
#define BOARD_INITPINS_USB_VBUS_NAME "USB_VBUS"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_USB_VBUS_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name RESET_b (coord L12), K64_RST
  @{ */
#define BOARD_INITPINS_K64_RST_PERIPHERAL RCM   /*!<@brief Device name: RCM */
#define BOARD_INITPINS_K64_RST_SIGNAL RESET     /*!<@brief RCM signal: RESET */
#define BOARD_INITPINS_K64_RST_PIN_NAME RESET_b /*!<@brief Pin name */
#define BOARD_INITPINS_K64_RST_LABEL "K64_RST"  /*!<@brief Label */
#define BOARD_INITPINS_K64_RST_NAME "K64_RST"   /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTD0 (coord A5), RTC_INT
  @{ */
#define BOARD_INITPINS_RTC_INT_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_RTC_INT_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_RTC_INT_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_RTC_INT_GPIO_PIN 0U                       /*!<@brief PORTD pin index: 0 */
#define BOARD_INITPINS_RTC_INT_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_RTC_INT_PIN 0U                            /*!<@brief PORTD pin index: 0 */
#define BOARD_INITPINS_RTC_INT_CHANNEL 0                         /*!<@brief GPIOD GPIO channel: 0 */
#define BOARD_INITPINS_RTC_INT_PIN_NAME PTD0                     /*!<@brief Pin name */
#define BOARD_INITPINS_RTC_INT_LABEL "RTC_INT"                   /*!<@brief Label */
#define BOARD_INITPINS_RTC_INT_NAME "RTC_INT"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_RTC_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                 /* @} */

/*! @name PORTD1 (coord D4), GYRO_INT1
  @{ */
#define BOARD_INITPINS_GYRO_INT1_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_GYRO_INT1_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_GYRO_INT1_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_GYRO_INT1_GPIO_PIN 1U                       /*!<@brief PORTD pin index: 1 */
#define BOARD_INITPINS_GYRO_INT1_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_GYRO_INT1_PIN 1U                            /*!<@brief PORTD pin index: 1 */
#define BOARD_INITPINS_GYRO_INT1_CHANNEL 1                         /*!<@brief GPIOD GPIO channel: 1 */
#define BOARD_INITPINS_GYRO_INT1_PIN_NAME PTD1                     /*!<@brief Pin name */
#define BOARD_INITPINS_GYRO_INT1_LABEL "GYRO_INT1"                 /*!<@brief Label */
#define BOARD_INITPINS_GYRO_INT1_NAME "GYRO_INT1"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_GYRO_INT1_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTD2 (coord C4), UART2_RX
  @{ */
#define BOARD_INITPINS_UART2_RX_PERIPHERAL UART2  /*!<@brief Device name: UART2 */
#define BOARD_INITPINS_UART2_RX_SIGNAL RX         /*!<@brief UART2 signal: RX */
#define BOARD_INITPINS_UART2_RX_PORT PORTD        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_UART2_RX_PIN 2U            /*!<@brief PORTD pin index: 2 */
#define BOARD_INITPINS_UART2_RX_PIN_NAME UART2_RX /*!<@brief Pin name */
#define BOARD_INITPINS_UART2_RX_LABEL "UART2_RX"  /*!<@brief Label */
#define BOARD_INITPINS_UART2_RX_NAME "UART2_RX"   /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTD3 (coord B4), UART2_TX
  @{ */
#define BOARD_INITPINS_UART2_TX_PERIPHERAL UART2                   /*!<@brief Device name: UART2 */
#define BOARD_INITPINS_UART2_TX_SIGNAL TX                          /*!<@brief UART2 signal: TX */
#define BOARD_INITPINS_UART2_TX_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_UART2_TX_PIN 3U                             /*!<@brief PORTD pin index: 3 */
#define BOARD_INITPINS_UART2_TX_PIN_NAME UART2_TX                  /*!<@brief Pin name */
#define BOARD_INITPINS_UART2_TX_LABEL "UART2_TX"                   /*!<@brief Label */
#define BOARD_INITPINS_UART2_TX_NAME "UART2_TX"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_UART2_TX_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTD4 (coord A4), SPI1_PCS0
  @{ */
#define BOARD_INITPINS_SPI1_PCS0_PERIPHERAL SPI1                    /*!<@brief Device name: SPI1 */
#define BOARD_INITPINS_SPI1_PCS0_SIGNAL PCS0_SS                     /*!<@brief SPI1 signal: PCS0_SS */
#define BOARD_INITPINS_SPI1_PCS0_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_SPI1_PCS0_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_SPI1_PCS0_PIN 4U                             /*!<@brief PORTD pin index: 4 */
#define BOARD_INITPINS_SPI1_PCS0_PIN_NAME SPI1_PCS0                 /*!<@brief Pin name */
#define BOARD_INITPINS_SPI1_PCS0_LABEL "SPI1_PCS0"                  /*!<@brief Label */
#define BOARD_INITPINS_SPI1_PCS0_NAME "SPI1_PCS0"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_SPI1_PCS0_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTD5 (coord A3), SPI1_SCK
  @{ */
#define BOARD_INITPINS_SPI1_SCK_PERIPHERAL SPI1                    /*!<@brief Device name: SPI1 */
#define BOARD_INITPINS_SPI1_SCK_SIGNAL SCK                         /*!<@brief SPI1 signal: SCK */
#define BOARD_INITPINS_SPI1_SCK_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_SPI1_SCK_PIN 5U                             /*!<@brief PORTD pin index: 5 */
#define BOARD_INITPINS_SPI1_SCK_PIN_NAME SPI1_SCK                  /*!<@brief Pin name */
#define BOARD_INITPINS_SPI1_SCK_LABEL "SPI1_SCK"                   /*!<@brief Label */
#define BOARD_INITPINS_SPI1_SCK_NAME "SPI1_SCK"                    /*!<@brief Identifier name */
#define BOARD_INITPINS_SPI1_SCK_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTD6 (coord A2), SPI1_MOSI
  @{ */
#define BOARD_INITPINS_SPI1_MOSI_PERIPHERAL SPI1    /*!<@brief Device name: SPI1 */
#define BOARD_INITPINS_SPI1_MOSI_SIGNAL SOUT        /*!<@brief SPI1 signal: SOUT */
#define BOARD_INITPINS_SPI1_MOSI_PORT PORTD         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_SPI1_MOSI_PIN 6U             /*!<@brief PORTD pin index: 6 */
#define BOARD_INITPINS_SPI1_MOSI_PIN_NAME SPI1_SOUT /*!<@brief Pin name */
#define BOARD_INITPINS_SPI1_MOSI_LABEL "SPI1_MOSI"  /*!<@brief Label */
#define BOARD_INITPINS_SPI1_MOSI_NAME "SPI1_MOSI"   /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTD9 (coord B9), DISP_EN
  @{ */
#define BOARD_INITPINS_DISP_EN_PERIPHERAL GPIOD                   /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_DISP_EN_SIGNAL GPIO                        /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_DISP_EN_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_DISP_EN_GPIO_PIN 9U                        /*!<@brief PORTD pin index: 9 */
#define BOARD_INITPINS_DISP_EN_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_DISP_EN_PIN 9U                             /*!<@brief PORTD pin index: 9 */
#define BOARD_INITPINS_DISP_EN_CHANNEL 9                          /*!<@brief GPIOD GPIO channel: 9 */
#define BOARD_INITPINS_DISP_EN_PIN_NAME PTD9                      /*!<@brief Pin name */
#define BOARD_INITPINS_DISP_EN_LABEL "DISP_EN"                    /*!<@brief Label */
#define BOARD_INITPINS_DISP_EN_NAME "DISP_EN"                     /*!<@brief Identifier name */
#define BOARD_INITPINS_DISP_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTD10 (coord B3), PRESSURE_INT2
  @{ */
#define BOARD_INITPINS_PRESSURE_INT2_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_PRESSURE_INT2_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_PRESSURE_INT2_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_PRESSURE_INT2_GPIO_PIN 10U                      /*!<@brief PORTD pin index: 10 */
#define BOARD_INITPINS_PRESSURE_INT2_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_PRESSURE_INT2_PIN 10U                           /*!<@brief PORTD pin index: 10 */
#define BOARD_INITPINS_PRESSURE_INT2_CHANNEL 10                        /*!<@brief GPIOD GPIO channel: 10 */
#define BOARD_INITPINS_PRESSURE_INT2_PIN_NAME PTD10                    /*!<@brief Pin name */
#define BOARD_INITPINS_PRESSURE_INT2_LABEL "PRESSURE_INT2"             /*!<@brief Label */
#define BOARD_INITPINS_PRESSURE_INT2_NAME "PRESSURE_INT2"              /*!<@brief Identifier name */
#define BOARD_INITPINS_PRESSURE_INT2_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                       /* @} */

/*! @name PORTD11 (coord B2), ACCEL_RST
  @{ */
#define BOARD_INITPINS_ACCEL_RST_PERIPHERAL GPIOD                   /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_ACCEL_RST_SIGNAL GPIO                        /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_ACCEL_RST_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_ACCEL_RST_GPIO_PIN 11U                       /*!<@brief PORTD pin index: 11 */
#define BOARD_INITPINS_ACCEL_RST_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_ACCEL_RST_PIN 11U                            /*!<@brief PORTD pin index: 11 */
#define BOARD_INITPINS_ACCEL_RST_CHANNEL 11                         /*!<@brief GPIOD GPIO channel: 11 */
#define BOARD_INITPINS_ACCEL_RST_PIN_NAME PTD11                     /*!<@brief Pin name */
#define BOARD_INITPINS_ACCEL_RST_LABEL "ACCEL_RST"                  /*!<@brief Label */
#define BOARD_INITPINS_ACCEL_RST_NAME "ACCEL_RST"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_ACCEL_RST_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTD12 (coord B1), PRESSURE_INT1
  @{ */
#define BOARD_INITPINS_PRESSURE_INT1_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_PRESSURE_INT1_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_PRESSURE_INT1_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_PRESSURE_INT1_GPIO_PIN 12U                      /*!<@brief PORTD pin index: 12 */
#define BOARD_INITPINS_PRESSURE_INT1_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_PRESSURE_INT1_PIN 12U                           /*!<@brief PORTD pin index: 12 */
#define BOARD_INITPINS_PRESSURE_INT1_CHANNEL 12                        /*!<@brief GPIOD GPIO channel: 12 */
#define BOARD_INITPINS_PRESSURE_INT1_PIN_NAME PTD12                    /*!<@brief Pin name */
#define BOARD_INITPINS_PRESSURE_INT1_LABEL "PRESSURE_INT1"             /*!<@brief Label */
#define BOARD_INITPINS_PRESSURE_INT1_NAME "PRESSURE_INT1"              /*!<@brief Identifier name */
#define BOARD_INITPINS_PRESSURE_INT1_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                       /* @} */

/*! @name PORTD13 (coord C3), ACCEL_INT2
  @{ */
#define BOARD_INITPINS_ACCEL_INT2_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_ACCEL_INT2_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_ACCEL_INT2_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_ACCEL_INT2_GPIO_PIN 13U                      /*!<@brief PORTD pin index: 13 */
#define BOARD_INITPINS_ACCEL_INT2_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_ACCEL_INT2_PIN 13U                           /*!<@brief PORTD pin index: 13 */
#define BOARD_INITPINS_ACCEL_INT2_CHANNEL 13                        /*!<@brief GPIOD GPIO channel: 13 */
#define BOARD_INITPINS_ACCEL_INT2_PIN_NAME PTD13                    /*!<@brief Pin name */
#define BOARD_INITPINS_ACCEL_INT2_LABEL "ACCEL_INT2"                /*!<@brief Label */
#define BOARD_INITPINS_ACCEL_INT2_NAME "ACCEL_INT2"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_ACCEL_INT2_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTD14 (coord C2), RTC_CLKOE
  @{ */
#define BOARD_INITPINS_RTC_CLKOE_PERIPHERAL GPIOD                   /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_RTC_CLKOE_SIGNAL GPIO                        /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_RTC_CLKOE_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_RTC_CLKOE_GPIO_PIN 14U                       /*!<@brief PORTD pin index: 14 */
#define BOARD_INITPINS_RTC_CLKOE_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_RTC_CLKOE_PIN 14U                            /*!<@brief PORTD pin index: 14 */
#define BOARD_INITPINS_RTC_CLKOE_CHANNEL 14                         /*!<@brief GPIOD GPIO channel: 14 */
#define BOARD_INITPINS_RTC_CLKOE_PIN_NAME PTD14                     /*!<@brief Pin name */
#define BOARD_INITPINS_RTC_CLKOE_LABEL "RTC_CLKOE"                  /*!<@brief Label */
#define BOARD_INITPINS_RTC_CLKOE_NAME "RTC_CLKOE"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_RTC_CLKOE_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTD15 (coord C1), DISP_DISP
  @{ */
#define BOARD_INITPINS_DISP_DISP_PERIPHERAL GPIOD                   /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_DISP_DISP_SIGNAL GPIO                        /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_DISP_DISP_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_DISP_DISP_GPIO_PIN 15U                       /*!<@brief PORTD pin index: 15 */
#define BOARD_INITPINS_DISP_DISP_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_DISP_DISP_PIN 15U                            /*!<@brief PORTD pin index: 15 */
#define BOARD_INITPINS_DISP_DISP_CHANNEL 15                         /*!<@brief GPIOD GPIO channel: 15 */
#define BOARD_INITPINS_DISP_DISP_PIN_NAME PTD15                     /*!<@brief Pin name */
#define BOARD_INITPINS_DISP_DISP_LABEL "DISP_DISP"                  /*!<@brief Label */
#define BOARD_INITPINS_DISP_DISP_NAME "DISP_DISP"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_DISP_DISP_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                    /* @} */

/*! @name PORTE0 (coord D3), SD_D1
  @{ */
#define BOARD_INITPINS_SD_D1_PERIPHERAL SDHC   /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_D1_SIGNAL DATA       /*!<@brief SDHC signal: DATA */
#define BOARD_INITPINS_SD_D1_PORT PORTE        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_D1_PIN 0U            /*!<@brief PORTE pin index: 0 */
#define BOARD_INITPINS_SD_D1_CHANNEL 1         /*!<@brief SDHC DATA channel: 1 */
#define BOARD_INITPINS_SD_D1_PIN_NAME SDHC0_D1 /*!<@brief Pin name */
#define BOARD_INITPINS_SD_D1_LABEL "SD_D1"     /*!<@brief Label */
#define BOARD_INITPINS_SD_D1_NAME "SD_D1"      /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTE1 (coord D2), SD_D0
  @{ */
#define BOARD_INITPINS_SD_D0_PERIPHERAL SDHC   /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_D0_SIGNAL DATA       /*!<@brief SDHC signal: DATA */
#define BOARD_INITPINS_SD_D0_PORT PORTE        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_D0_PIN 1U            /*!<@brief PORTE pin index: 1 */
#define BOARD_INITPINS_SD_D0_CHANNEL 0         /*!<@brief SDHC DATA channel: 0 */
#define BOARD_INITPINS_SD_D0_PIN_NAME SDHC0_D0 /*!<@brief Pin name */
#define BOARD_INITPINS_SD_D0_LABEL "SD_D0"     /*!<@brief Label */
#define BOARD_INITPINS_SD_D0_NAME "SD_D0"      /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTE2 (coord D1), SD_CLK
  @{ */
#define BOARD_INITPINS_SD_CLK_PERIPHERAL SDHC     /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_CLK_SIGNAL DCLK         /*!<@brief SDHC signal: DCLK */
#define BOARD_INITPINS_SD_CLK_PORT PORTE          /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_CLK_PIN 2U              /*!<@brief PORTE pin index: 2 */
#define BOARD_INITPINS_SD_CLK_PIN_NAME SDHC0_DCLK /*!<@brief Pin name */
#define BOARD_INITPINS_SD_CLK_LABEL "SD_CLK"      /*!<@brief Label */
#define BOARD_INITPINS_SD_CLK_NAME "SD_CLK"       /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTE3 (coord E4), SD_CMD
  @{ */
#define BOARD_INITPINS_SD_CMD_PERIPHERAL SDHC    /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_CMD_SIGNAL CMD         /*!<@brief SDHC signal: CMD */
#define BOARD_INITPINS_SD_CMD_PORT PORTE         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_CMD_PIN 3U             /*!<@brief PORTE pin index: 3 */
#define BOARD_INITPINS_SD_CMD_PIN_NAME SDHC0_CMD /*!<@brief Pin name */
#define BOARD_INITPINS_SD_CMD_LABEL "SD_CMD"     /*!<@brief Label */
#define BOARD_INITPINS_SD_CMD_NAME "SD_CMD"      /*!<@brief Identifier name */
                                                 /* @} */

/*! @name PORTE4 (coord E3), SD_D3
  @{ */
#define BOARD_INITPINS_SD_D3_PERIPHERAL SDHC   /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_D3_SIGNAL DATA       /*!<@brief SDHC signal: DATA */
#define BOARD_INITPINS_SD_D3_PORT PORTE        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_D3_PIN 4U            /*!<@brief PORTE pin index: 4 */
#define BOARD_INITPINS_SD_D3_CHANNEL 3         /*!<@brief SDHC DATA channel: 3 */
#define BOARD_INITPINS_SD_D3_PIN_NAME SDHC0_D3 /*!<@brief Pin name */
#define BOARD_INITPINS_SD_D3_LABEL "SD_D3"     /*!<@brief Label */
#define BOARD_INITPINS_SD_D3_NAME "SD_D3"      /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTE5 (coord E2), SD_D2
  @{ */
#define BOARD_INITPINS_SD_D2_PERIPHERAL SDHC   /*!<@brief Device name: SDHC */
#define BOARD_INITPINS_SD_D2_SIGNAL DATA       /*!<@brief SDHC signal: DATA */
#define BOARD_INITPINS_SD_D2_PORT PORTE        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_SD_D2_PIN 5U            /*!<@brief PORTE pin index: 5 */
#define BOARD_INITPINS_SD_D2_CHANNEL 2         /*!<@brief SDHC DATA channel: 2 */
#define BOARD_INITPINS_SD_D2_PIN_NAME SDHC0_D2 /*!<@brief Pin name */
#define BOARD_INITPINS_SD_D2_LABEL "SD_D2"     /*!<@brief Label */
#define BOARD_INITPINS_SD_D2_NAME "SD_D2"      /*!<@brief Identifier name */
                                               /* @} */

/*! @name PORTE6 (coord E1), DISP_EXTCOMIN
  @{ */
#define BOARD_INITPINS_DISP_EXTCOMIN_PERIPHERAL FTM3                    /*!<@brief Device name: FTM3 */
#define BOARD_INITPINS_DISP_EXTCOMIN_SIGNAL CH                          /*!<@brief GPIOE signal: GPIO */
#define BOARD_INITPINS_DISP_EXTCOMIN_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_DISP_EXTCOMIN_PIN 6U                             /*!<@brief PORTE pin index: 6 */
#define BOARD_INITPINS_DISP_EXTCOMIN_CHANNEL 1                          /*!<@brief GPIOE GPIO channel: 6 */
#define BOARD_INITPINS_DISP_EXTCOMIN_PIN_NAME FTM3_CH1                  /*!<@brief Pin name */
#define BOARD_INITPINS_DISP_EXTCOMIN_LABEL "DISP_EXTCOMIN"              /*!<@brief Label */
#define BOARD_INITPINS_DISP_EXTCOMIN_NAME "DISP_EXTCOMIN"               /*!<@brief Identifier name */
#define BOARD_INITPINS_DISP_EXTCOMIN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTE9 (coord F2), USER_SW2
  @{ */
#define BOARD_INITPINS_USER_SW2_PERIPHERAL GPIOE                  /*!<@brief Device name: GPIOE */
#define BOARD_INITPINS_USER_SW2_SIGNAL GPIO                       /*!<@brief GPIOE signal: GPIO */
#define BOARD_INITPINS_USER_SW2_GPIO GPIOE                        /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_USER_SW2_GPIO_PIN 9U                       /*!<@brief PORTE pin index: 9 */
#define BOARD_INITPINS_USER_SW2_PORT PORTE                        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_USER_SW2_PIN 9U                            /*!<@brief PORTE pin index: 9 */
#define BOARD_INITPINS_USER_SW2_CHANNEL 9                         /*!<@brief GPIOE GPIO channel: 9 */
#define BOARD_INITPINS_USER_SW2_PIN_NAME PTE9                     /*!<@brief Pin name */
#define BOARD_INITPINS_USER_SW2_LABEL "USER_SW2"                  /*!<@brief Label */
#define BOARD_INITPINS_USER_SW2_NAME "USER_SW2"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_USER_SW2_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTE10 (coord F1), USER_SW3
  @{ */
#define BOARD_INITPINS_USER_SW3_PERIPHERAL GPIOE                  /*!<@brief Device name: GPIOE */
#define BOARD_INITPINS_USER_SW3_SIGNAL GPIO                       /*!<@brief GPIOE signal: GPIO */
#define BOARD_INITPINS_USER_SW3_GPIO GPIOE                        /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_USER_SW3_GPIO_PIN 10U                      /*!<@brief PORTE pin index: 10 */
#define BOARD_INITPINS_USER_SW3_PORT PORTE                        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_USER_SW3_PIN 10U                           /*!<@brief PORTE pin index: 10 */
#define BOARD_INITPINS_USER_SW3_CHANNEL 10                        /*!<@brief GPIOE GPIO channel: 10 */
#define BOARD_INITPINS_USER_SW3_PIN_NAME PTE10                    /*!<@brief Pin name */
#define BOARD_INITPINS_USER_SW3_LABEL "USER_SW3"                  /*!<@brief Label */
#define BOARD_INITPINS_USER_SW3_NAME "USER_SW3"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_USER_SW3_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name PORTE11 (coord G4), DISP_EXTMODE
  @{ */
#define BOARD_INITPINS_DISP_EXTMODE_PERIPHERAL GPIOE                   /*!<@brief Device name: GPIOE */
#define BOARD_INITPINS_DISP_EXTMODE_SIGNAL GPIO                        /*!<@brief GPIOE signal: GPIO */
#define BOARD_INITPINS_DISP_EXTMODE_GPIO GPIOE                         /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_DISP_EXTMODE_GPIO_PIN 11U                       /*!<@brief PORTE pin index: 11 */
#define BOARD_INITPINS_DISP_EXTMODE_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_DISP_EXTMODE_PIN 11U                            /*!<@brief PORTE pin index: 11 */
#define BOARD_INITPINS_DISP_EXTMODE_CHANNEL 11                         /*!<@brief GPIOE GPIO channel: 11 */
#define BOARD_INITPINS_DISP_EXTMODE_PIN_NAME PTE11                     /*!<@brief Pin name */
#define BOARD_INITPINS_DISP_EXTMODE_LABEL "DISP_EXTMODE"               /*!<@brief Label */
#define BOARD_INITPINS_DISP_EXTMODE_NAME "DISP_EXTMODE"                /*!<@brief Identifier name */
#define BOARD_INITPINS_DISP_EXTMODE_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                       /* @} */

/*! @name PORTE24 (coord M4), KW41_UART_RX
  @{ */
#define BOARD_INITPINS_KW41_UART_RX_PERIPHERAL UART4                   /*!<@brief Device name: UART4 */
#define BOARD_INITPINS_KW41_UART_RX_SIGNAL TX                          /*!<@brief UART4 signal: TX */
#define BOARD_INITPINS_KW41_UART_RX_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_KW41_UART_RX_PIN 24U                            /*!<@brief PORTE pin index: 24 */
#define BOARD_INITPINS_KW41_UART_RX_PIN_NAME UART4_TX                  /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_UART_RX_LABEL "KW41_UART_RX"               /*!<@brief Label */
#define BOARD_INITPINS_KW41_UART_RX_NAME "KW41_UART_RX"                /*!<@brief Identifier name */
#define BOARD_INITPINS_KW41_UART_RX_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                       /* @} */

/*! @name PORTE25 (coord K5), KW41_UART_TX
  @{ */
#define BOARD_INITPINS_KW41_UART_TX_PERIPHERAL UART4     /*!<@brief Device name: UART4 */
#define BOARD_INITPINS_KW41_UART_TX_SIGNAL RX            /*!<@brief UART4 signal: RX */
#define BOARD_INITPINS_KW41_UART_TX_PORT PORTE           /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_KW41_UART_TX_PIN 25U              /*!<@brief PORTE pin index: 25 */
#define BOARD_INITPINS_KW41_UART_TX_PIN_NAME UART4_RX    /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_UART_TX_LABEL "KW41_UART_TX" /*!<@brief Label */
#define BOARD_INITPINS_KW41_UART_TX_NAME "KW41_UART_TX"  /*!<@brief Identifier name */
                                                         /* @} */

/*! @name PORTE26 (coord K4), KW41_UART_RTS
  @{ */
#define BOARD_INITPINS_KW41_UART_RTS_PERIPHERAL UART4      /*!<@brief Device name: UART4 */
#define BOARD_INITPINS_KW41_UART_RTS_SIGNAL CTS            /*!<@brief UART4 signal: CTS */
#define BOARD_INITPINS_KW41_UART_RTS_GPIO GPIOE            /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_KW41_UART_RTS_PORT PORTE            /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_KW41_UART_RTS_PIN 26U               /*!<@brief PORTE pin index: 26 */
#define BOARD_INITPINS_KW41_UART_RTS_PIN_NAME UART4_CTS_b  /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_UART_RTS_LABEL "KW41_UART_RTS" /*!<@brief Label */
#define BOARD_INITPINS_KW41_UART_RTS_NAME "KW41_UART_RTS"  /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PORTE27 (coord J4), KW41_UART_CTS
  @{ */
#define BOARD_INITPINS_KW41_UART_CTS_PERIPHERAL UART4      /*!<@brief Device name: UART4 */
#define BOARD_INITPINS_KW41_UART_CTS_SIGNAL RTS            /*!<@brief UART4 signal: RTS */
#define BOARD_INITPINS_KW41_UART_CTS_GPIO GPIOE            /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_KW41_UART_CTS_PORT PORTE            /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_KW41_UART_CTS_PIN 27U               /*!<@brief PORTE pin index: 27 */
#define BOARD_INITPINS_KW41_UART_CTS_PIN_NAME UART4_RTS_b  /*!<@brief Pin name */
#define BOARD_INITPINS_KW41_UART_CTS_LABEL "KW41_UART_CTS" /*!<@brief Label */
#define BOARD_INITPINS_KW41_UART_CTS_NAME "KW41_UART_CTS"  /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PORTE28 (coord H4), USER_SW4
  @{ */
#define BOARD_INITPINS_USER_SW4_PERIPHERAL GPIOE                  /*!<@brief Device name: GPIOE */
#define BOARD_INITPINS_USER_SW4_SIGNAL GPIO                       /*!<@brief GPIOE signal: GPIO */
#define BOARD_INITPINS_USER_SW4_GPIO GPIOE                        /*!<@brief GPIO device name: GPIOE */
#define BOARD_INITPINS_USER_SW4_GPIO_PIN 28U                      /*!<@brief PORTE pin index: 28 */
#define BOARD_INITPINS_USER_SW4_PORT PORTE                        /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_USER_SW4_PIN 28U                           /*!<@brief PORTE pin index: 28 */
#define BOARD_INITPINS_USER_SW4_CHANNEL 28                        /*!<@brief GPIOE GPIO channel: 28 */
#define BOARD_INITPINS_USER_SW4_PIN_NAME PTE28                    /*!<@brief Pin name */
#define BOARD_INITPINS_USER_SW4_LABEL "USER_SW4"                  /*!<@brief Label */
#define BOARD_INITPINS_USER_SW4_NAME "USER_SW4"                   /*!<@brief Identifier name */
#define BOARD_INITPINS_USER_SW4_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                  /* @} */

/*! @name USB0_DP (coord H1), USB_DP
  @{ */
#define BOARD_INITPINS_USB_DP_PERIPHERAL USB0  /*!<@brief Device name: USB0 */
#define BOARD_INITPINS_USB_DP_SIGNAL DP        /*!<@brief USB0 signal: DP */
#define BOARD_INITPINS_USB_DP_PIN_NAME USB0_DP /*!<@brief Pin name */
#define BOARD_INITPINS_USB_DP_LABEL "USB_DP"   /*!<@brief Label */
#define BOARD_INITPINS_USB_DP_NAME "USB_DP"    /*!<@brief Identifier name */
                                               /* @} */

/*! @name USB0_DM (coord H2), USB_DM
  @{ */
#define BOARD_INITPINS_USB_DM_PERIPHERAL USB0  /*!<@brief Device name: USB0 */
#define BOARD_INITPINS_USB_DM_SIGNAL DM        /*!<@brief USB0 signal: DM */
#define BOARD_INITPINS_USB_DM_PIN_NAME USB0_DM /*!<@brief Pin name */
#define BOARD_INITPINS_USB_DM_LABEL "USB_DM"   /*!<@brief Label */
#define BOARD_INITPINS_USB_DM_NAME "USB_DM"    /*!<@brief Identifier name */
                                               /* @} */

/*! @name ADC0_SE21 (coord J3), BAT_SENS
  @{ */
#define BOARD_INITPINS_BAT_SENS_PERIPHERAL ADC0    /*!<@brief Device name: ADC0 */
#define BOARD_INITPINS_BAT_SENS_SIGNAL SE          /*!<@brief ADC0 signal: SE */
#define BOARD_INITPINS_BAT_SENS_CHANNEL 21         /*!<@brief ADC0 SE channel: 21 */
#define BOARD_INITPINS_BAT_SENS_PIN_NAME ADC0_SE21 /*!<@brief Pin name */
#define BOARD_INITPINS_BAT_SENS_LABEL "BAT_SENS"   /*!<@brief Label */
#define BOARD_INITPINS_BAT_SENS_NAME "BAT_SENS"    /*!<@brief Identifier name */
                                                   /* @} */

/*! @name ADC0_SE22 (coord K3), MB1_AN
  @{ */
#define BOARD_INITPINS_MB1_AN_PERIPHERAL ADC0    /*!<@brief Device name: ADC0 */
#define BOARD_INITPINS_MB1_AN_SIGNAL SE          /*!<@brief ADC0 signal: SE */
#define BOARD_INITPINS_MB1_AN_CHANNEL 22         /*!<@brief ADC0 SE channel: 22 */
#define BOARD_INITPINS_MB1_AN_PIN_NAME ADC0_SE22 /*!<@brief Pin name */
#define BOARD_INITPINS_MB1_AN_LABEL "MB1_AN"     /*!<@brief Label */
#define BOARD_INITPINS_MB1_AN_NAME "MB1_AN"      /*!<@brief Identifier name */
                                                 /* @} */

/*! @name ADC0_SE23 (coord L3), MB2_AN
  @{ */
#define BOARD_INITPINS_MB2_AN_PERIPHERAL ADC0    /*!<@brief Device name: ADC0 */
#define BOARD_INITPINS_MB2_AN_SIGNAL SE          /*!<@brief ADC0 signal: SE */
#define BOARD_INITPINS_MB2_AN_CHANNEL 23         /*!<@brief ADC0 SE channel: 23 */
#define BOARD_INITPINS_MB2_AN_PIN_NAME ADC0_SE23 /*!<@brief Pin name */
#define BOARD_INITPINS_MB2_AN_LABEL "MB2_AN"     /*!<@brief Label */
#define BOARD_INITPINS_MB2_AN_NAME "MB2_AN"      /*!<@brief Identifier name */
                                                 /* @} */

/*! @name EXTAL32 (coord M6), K64_EXTAL32
  @{ */
#define BOARD_INITPINS_K64_EXTAL32_PERIPHERAL RTC      /*!<@brief Device name: RTC */
#define BOARD_INITPINS_K64_EXTAL32_SIGNAL EXTAL32      /*!<@brief RTC signal: EXTAL32 */
#define BOARD_INITPINS_K64_EXTAL32_PIN_NAME EXTAL32    /*!<@brief Pin name */
#define BOARD_INITPINS_K64_EXTAL32_LABEL "K64_EXTAL32" /*!<@brief Label */
#define BOARD_INITPINS_K64_EXTAL32_NAME "K64_EXTAL32"  /*!<@brief Identifier name */
                                                       /* @} */

/*! @name PORTE7 (coord F4), RGB_G
  @{ */
#define BOARD_INITPINS_RGB_G_PERIPHERAL FTM3                    /*!<@brief Device name: FTM3 */
#define BOARD_INITPINS_RGB_G_SIGNAL CH                          /*!<@brief FTM3 signal: CH */
#define BOARD_INITPINS_RGB_G_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_RGB_G_PIN 7U                             /*!<@brief PORTE pin index: 7 */
#define BOARD_INITPINS_RGB_G_CHANNEL 2                          /*!<@brief FTM3 channel: 2 */
#define BOARD_INITPINS_RGB_G_PIN_NAME FTM3_CH2                  /*!<@brief Pin name */
#define BOARD_INITPINS_RGB_G_LABEL "RGB_G"                      /*!<@brief Label */
#define BOARD_INITPINS_RGB_G_NAME "RGB_G"                       /*!<@brief Identifier name */
#define BOARD_INITPINS_RGB_G_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                /* @} */

/*! @name PORTC9 (coord D7), RGB_B
  @{ */
#define BOARD_INITPINS_RGB_B_PERIPHERAL FTM3                    /*!<@brief Device name: FTM3 */
#define BOARD_INITPINS_RGB_B_SIGNAL CH                          /*!<@brief FTM3 signal: CH */
#define BOARD_INITPINS_RGB_B_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_RGB_B_PIN 9U                             /*!<@brief PORTC pin index: 9 */
#define BOARD_INITPINS_RGB_B_CHANNEL 5                          /*!<@brief FTM3 channel: 5 */
#define BOARD_INITPINS_RGB_B_PIN_NAME FTM3_CH5                  /*!<@brief Pin name */
#define BOARD_INITPINS_RGB_B_LABEL "RGB_B"                      /*!<@brief Label */
#define BOARD_INITPINS_RGB_B_NAME "RGB_B"                       /*!<@brief Identifier name */
#define BOARD_INITPINS_RGB_B_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                /* @} */

/*! @name PORTC8 (coord A8), RGB_R
  @{ */
#define BOARD_INITPINS_RGB_R_PERIPHERAL FTM3                    /*!<@brief Device name: FTM3 */
#define BOARD_INITPINS_RGB_R_SIGNAL CH                          /*!<@brief FTM3 signal: CH */
#define BOARD_INITPINS_RGB_R_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_RGB_R_PIN 8U                             /*!<@brief PORTC pin index: 8 */
#define BOARD_INITPINS_RGB_R_CHANNEL 4                          /*!<@brief FTM3 channel: 4 */
#define BOARD_INITPINS_RGB_R_PIN_NAME FTM3_CH4                  /*!<@brief Pin name */
#define BOARD_INITPINS_RGB_R_LABEL "RGB_R"                      /*!<@brief Label */
#define BOARD_INITPINS_RGB_R_NAME "RGB_R"                       /*!<@brief Identifier name */
#define BOARD_INITPINS_RGB_R_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                /* @} */

/*! @name PORTD8 (coord C9), AIR_QUALITY_I2C_EN
  @{ */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_PERIPHERAL GPIOD                   /*!<@brief Device name: GPIOD */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_SIGNAL GPIO                        /*!<@brief GPIOD signal: GPIO */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_GPIO GPIOD                         /*!<@brief GPIO device name: GPIOD */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_GPIO_PIN 8U                        /*!<@brief PORTD pin index: 8 */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_PORT PORTD                         /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_PIN 8U                             /*!<@brief PORTD pin index: 8 */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_CHANNEL 8                          /*!<@brief GPIOD GPIO channel: 8 */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_PIN_NAME PTD8                      /*!<@brief Pin name */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_LABEL "AIR_QUALITY_I2C_EN"         /*!<@brief Label */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_NAME "AIR_QUALITY_I2C_EN"          /*!<@brief Identifier name */
#define BOARD_INITPINS_AIR_QUALITY_I2C_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                             /* @} */

/*! @name PORTA9 (coord L8), TOUCH_INT
  @{ */
#define BOARD_INITPINS_TOUCH_INT_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_INITPINS_TOUCH_INT_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITPINS_TOUCH_INT_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITPINS_TOUCH_INT_GPIO_PIN 9U                       /*!<@brief PORTA pin index: 9 */
#define BOARD_INITPINS_TOUCH_INT_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_INITPINS_TOUCH_INT_PIN 9U                            /*!<@brief PORTA pin index: 9 */
#define BOARD_INITPINS_TOUCH_INT_CHANNEL 9                         /*!<@brief GPIOA GPIO channel: 9 */
#define BOARD_INITPINS_TOUCH_INT_PIN_NAME PTA9                     /*!<@brief Pin name */
#define BOARD_INITPINS_TOUCH_INT_LABEL "TOUCH_INT"                 /*!<@brief Label */
#define BOARD_INITPINS_TOUCH_INT_NAME "TOUCH_INT"                  /*!<@brief Identifier name */
#define BOARD_INITPINS_TOUCH_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                   /* @} */

/*! @name PORTB5 (coord G9), NTAG_I2C_EN
  @{ */
#define BOARD_INITPINS_NTAG_I2C_EN_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define BOARD_INITPINS_NTAG_I2C_EN_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITPINS_NTAG_I2C_EN_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITPINS_NTAG_I2C_EN_GPIO_PIN 5U                        /*!<@brief PORTB pin index: 5 */
#define BOARD_INITPINS_NTAG_I2C_EN_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define BOARD_INITPINS_NTAG_I2C_EN_PIN 5U                             /*!<@brief PORTB pin index: 5 */
#define BOARD_INITPINS_NTAG_I2C_EN_CHANNEL 5                          /*!<@brief GPIOB GPIO channel: 5 */
#define BOARD_INITPINS_NTAG_I2C_EN_PIN_NAME PTB5                      /*!<@brief Pin name */
#define BOARD_INITPINS_NTAG_I2C_EN_LABEL "NTAG_I2C_EN"                /*!<@brief Label */
#define BOARD_INITPINS_NTAG_I2C_EN_NAME "NTAG_I2C_EN"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_NTAG_I2C_EN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                      /* @} */

/*! @name PORTE12 (coord G3), DISP_BLIGHT
  @{ */
#define BOARD_INITPINS_DISP_BLIGHT_PERIPHERAL FTM3                    /*!<@brief Device name: FTM3 */
#define BOARD_INITPINS_DISP_BLIGHT_SIGNAL CH                          /*!<@brief FTM3 signal: CH */
#define BOARD_INITPINS_DISP_BLIGHT_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_DISP_BLIGHT_PIN 12U                            /*!<@brief PORTE pin index: 12 */
#define BOARD_INITPINS_DISP_BLIGHT_CHANNEL 7                          /*!<@brief FTM3 channel: 7 */
#define BOARD_INITPINS_DISP_BLIGHT_PIN_NAME FTM3_CH7                  /*!<@brief Pin name */
#define BOARD_INITPINS_DISP_BLIGHT_LABEL "DISP_BLIGHT"                /*!<@brief Label */
#define BOARD_INITPINS_DISP_BLIGHT_NAME "DISP_BLIGHT"                 /*!<@brief Identifier name */
#define BOARD_INITPINS_DISP_BLIGHT_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTD0 (coord A5), RTC_INT
  @{ */
#define RTC_INT_IRQ_RTC_INT_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define RTC_INT_IRQ_RTC_INT_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define RTC_INT_IRQ_RTC_INT_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define RTC_INT_IRQ_RTC_INT_GPIO_PIN 0U                       /*!<@brief PORTD pin index: 0 */
#define RTC_INT_IRQ_RTC_INT_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define RTC_INT_IRQ_RTC_INT_PIN 0U                            /*!<@brief PORTD pin index: 0 */
#define RTC_INT_IRQ_RTC_INT_CHANNEL 0                         /*!<@brief GPIOD GPIO channel: 0 */
#define RTC_INT_IRQ_RTC_INT_PIN_NAME PTD0                     /*!<@brief Pin name */
#define RTC_INT_IRQ_RTC_INT_LABEL "RTC_INT"                   /*!<@brief Label */
#define RTC_INT_IRQ_RTC_INT_NAME "RTC_INT"                    /*!<@brief Identifier name */
#define RTC_INT_IRQ_RTC_INT_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                              /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void RTC_INT_IRQ(void);

/*! @name PORTB21 (coord D9), DISP_SPI_SCK
  @{ */
#define DSPI2_INITPINS_DISP_SPI_SCK_PERIPHERAL SPI2      /*!<@brief Device name: SPI2 */
#define DSPI2_INITPINS_DISP_SPI_SCK_SIGNAL SCK           /*!<@brief SPI2 signal: SCK */
#define DSPI2_INITPINS_DISP_SPI_SCK_PORT PORTB           /*!<@brief PORT device name: PORTB */
#define DSPI2_INITPINS_DISP_SPI_SCK_PIN 21U              /*!<@brief PORTB pin index: 21 */
#define DSPI2_INITPINS_DISP_SPI_SCK_PIN_NAME SPI2_SCK    /*!<@brief Pin name */
#define DSPI2_INITPINS_DISP_SPI_SCK_LABEL "DISP_SPI_SCK" /*!<@brief Label */
#define DSPI2_INITPINS_DISP_SPI_SCK_NAME "DISP_SPI_SCK"  /*!<@brief Identifier name */
                                                         /* @} */

/*! @name PORTB22 (coord C12), DISP_SPI_SDI
  @{ */
#define DSPI2_INITPINS_DISP_SPI_SDI_PERIPHERAL SPI2      /*!<@brief Device name: SPI2 */
#define DSPI2_INITPINS_DISP_SPI_SDI_SIGNAL SOUT          /*!<@brief SPI2 signal: SOUT */
#define DSPI2_INITPINS_DISP_SPI_SDI_PORT PORTB           /*!<@brief PORT device name: PORTB */
#define DSPI2_INITPINS_DISP_SPI_SDI_PIN 22U              /*!<@brief PORTB pin index: 22 */
#define DSPI2_INITPINS_DISP_SPI_SDI_PIN_NAME SPI2_SOUT   /*!<@brief Pin name */
#define DSPI2_INITPINS_DISP_SPI_SDI_LABEL "DISP_SPI_SDI" /*!<@brief Label */
#define DSPI2_INITPINS_DISP_SPI_SDI_NAME "DISP_SPI_SDI"  /*!<@brief Identifier name */
                                                         /* @} */

/*! @name PORTB20 (coord D10), DISP_SPI_CS
  @{ */
#define DSPI2_INITPINS_DISP_SPI_CS_PERIPHERAL GPIOB                   /*!<@brief Device name: GPIOB */
#define DSPI2_INITPINS_DISP_SPI_CS_SIGNAL GPIO                        /*!<@brief GPIOB signal: GPIO */
#define DSPI2_INITPINS_DISP_SPI_CS_GPIO GPIOB                         /*!<@brief GPIO device name: GPIOB */
#define DSPI2_INITPINS_DISP_SPI_CS_GPIO_PIN 20U                       /*!<@brief PORTB pin index: 20 */
#define DSPI2_INITPINS_DISP_SPI_CS_PORT PORTB                         /*!<@brief PORT device name: PORTB */
#define DSPI2_INITPINS_DISP_SPI_CS_PIN 20U                            /*!<@brief PORTB pin index: 20 */
#define DSPI2_INITPINS_DISP_SPI_CS_CHANNEL 20                         /*!<@brief GPIOB GPIO channel: 20 */
#define DSPI2_INITPINS_DISP_SPI_CS_PIN_NAME PTB20                     /*!<@brief Pin name */
#define DSPI2_INITPINS_DISP_SPI_CS_LABEL "DISP_SPI_CS"                /*!<@brief Label */
#define DSPI2_INITPINS_DISP_SPI_CS_NAME "DISP_SPI_CS"                 /*!<@brief Identifier name */
#define DSPI2_INITPINS_DISP_SPI_CS_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void DSPI2_InitPins(void);

/*! @name PORTB21 (coord D9), DISP_SPI_SCK
  @{ */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_PERIPHERAL n/a                           /*!<@brief Device name: n/a */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_SIGNAL disabled                          /*!<@brief n/a signal: disabled */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_PORT PORTB                               /*!<@brief PORT device name: PORTB */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_PIN 21U                                  /*!<@brief PORTB pin index: 21 */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_PIN_NAME PTB21/SPI2_SCK/FB_AD30/CMP1_OUT /*!<@brief Pin name */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_LABEL "DISP_SPI_SCK"                     /*!<@brief Label */
#define DSPI2_DEINITPINS_DISP_SPI_SCK_NAME "DISP_SPI_SCK"                      /*!<@brief Identifier name */
                                                                               /* @} */

/*! @name PORTB20 (coord D10), DISP_SPI_CS
  @{ */
#define DSPI2_DEINITPINS_DISP_SPI_CS_PERIPHERAL n/a                            /*!<@brief Device name: n/a */
#define DSPI2_DEINITPINS_DISP_SPI_CS_SIGNAL disabled                           /*!<@brief n/a signal: disabled */
#define DSPI2_DEINITPINS_DISP_SPI_CS_PORT PORTB                                /*!<@brief PORT device name: PORTB */
#define DSPI2_DEINITPINS_DISP_SPI_CS_PIN 20U                                   /*!<@brief PORTB pin index: 20 */
#define DSPI2_DEINITPINS_DISP_SPI_CS_PIN_NAME PTB20/SPI2_PCS0/FB_AD31/CMP0_OUT /*!<@brief Pin name */
#define DSPI2_DEINITPINS_DISP_SPI_CS_LABEL "DISP_SPI_CS"                       /*!<@brief Label */
#define DSPI2_DEINITPINS_DISP_SPI_CS_NAME "DISP_SPI_CS"                        /*!<@brief Identifier name */
                                                                               /* @} */

/*! @name PORTB22 (coord C12), DISP_SPI_SDI
  @{ */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_PERIPHERAL n/a                            /*!<@brief Device name: n/a */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_SIGNAL disabled                           /*!<@brief n/a signal: disabled */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_PORT PORTB                                /*!<@brief PORT device name: PORTB */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_PIN 22U                                   /*!<@brief PORTB pin index: 22 */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_PIN_NAME PTB22/SPI2_SOUT/FB_AD29/CMP2_OUT /*!<@brief Pin name */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_LABEL "DISP_SPI_SDI"                      /*!<@brief Label */
#define DSPI2_DEINITPINS_DISP_SPI_SDI_NAME "DISP_SPI_SDI"                       /*!<@brief Identifier name */
                                                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void DSPI2_DeinitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
