#include "atmosphere_abilityHandler.h"
#include "atmosphere_triggerHandler.h"

#ifdef __cplusplus
	extern "C"{
#endif

void ATMO_AbilityHandler(unsigned int abilityHandleId, ATMO_Value_t *value) {
	switch(abilityHandleId) {
		case ATMO_ABILITY(Interval, trigger):
		{
			ATMO_Value_t Interval_Value;
			ATMO_InitValue(&Interval_Value);
			Interval_trigger(value, &Interval_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Interval, triggered), &Interval_Value);
			ATMO_FreeValue(&Interval_Value);
			break;
		}
		case ATMO_ABILITY(Interval, setup):
		{
			ATMO_Value_t Interval_Value;
			ATMO_InitValue(&Interval_Value);
			Interval_setup(value, &Interval_Value);
			ATMO_FreeValue(&Interval_Value);
			break;
		}
		case ATMO_ABILITY(Interval, interval):
		{
			ATMO_Value_t Interval_Value;
			ATMO_InitValue(&Interval_Value);
			Interval_interval(value, &Interval_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Interval, interval), &Interval_Value);
			ATMO_FreeValue(&Interval_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, trigger):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_trigger(value, &Temperature_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Temperature, triggered), &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, setup):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_setup(value, &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, setEnabled):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_setEnabled(value, &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, setDisabled):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_setDisabled(value, &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, setEnabledDisabled):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_setEnabledDisabled(value, &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, readTemperature):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_readTemperature(value, &Temperature_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Temperature, temperatureRead), &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Temperature, readHumidity):
		{
			ATMO_Value_t Temperature_Value;
			ATMO_InitValue(&Temperature_Value);
			Temperature_readHumidity(value, &Temperature_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Temperature, humidityRead), &Temperature_Value);
			ATMO_FreeValue(&Temperature_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, trigger):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_trigger(value, &Humidity_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Humidity, triggered), &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, setup):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_setup(value, &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, setEnabled):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_setEnabled(value, &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, setDisabled):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_setDisabled(value, &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, setEnabledDisabled):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_setEnabledDisabled(value, &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, readTemperature):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_readTemperature(value, &Humidity_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Humidity, temperatureRead), &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(Humidity, readHumidity):
		{
			ATMO_Value_t Humidity_Value;
			ATMO_InitValue(&Humidity_Value);
			Humidity_readHumidity(value, &Humidity_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Humidity, humidityRead), &Humidity_Value);
			ATMO_FreeValue(&Humidity_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, trigger):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_trigger(value, &TVOCAirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCAirQuality, triggered), &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, setup):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_setup(value, &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, setEnabled):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_setEnabled(value, &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, setDisabled):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_setDisabled(value, &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, setEnabledDisabled):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_setEnabledDisabled(value, &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, readTVOC):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_readTVOC(value, &TVOCAirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCAirQuality, TVOCRead), &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TVOCAirQuality, readCO2):
		{
			ATMO_Value_t TVOCAirQuality_Value;
			ATMO_InitValue(&TVOCAirQuality_Value);
			TVOCAirQuality_readCO2(value, &TVOCAirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCAirQuality, CO2Read), &TVOCAirQuality_Value);
			ATMO_FreeValue(&TVOCAirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, trigger):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_trigger(value, &C02AirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(C02AirQuality, triggered), &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, setup):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_setup(value, &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, setEnabled):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_setEnabled(value, &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, setDisabled):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_setDisabled(value, &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, setEnabledDisabled):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_setEnabledDisabled(value, &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, readTVOC):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_readTVOC(value, &C02AirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(C02AirQuality, TVOCRead), &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(C02AirQuality, readCO2):
		{
			ATMO_Value_t C02AirQuality_Value;
			ATMO_InitValue(&C02AirQuality_Value);
			C02AirQuality_readCO2(value, &C02AirQuality_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(C02AirQuality, CO2Read), &C02AirQuality_Value);
			ATMO_FreeValue(&C02AirQuality_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, trigger):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_trigger(value, &TSL2572AmbientLight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TSL2572AmbientLight, triggered), &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, setup):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_setup(value, &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, setEnabled):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_setEnabled(value, &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, setDisabled):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_setDisabled(value, &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, setEnabledDisabled):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_setEnabledDisabled(value, &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(TSL2572AmbientLight, readAmbientLight):
		{
			ATMO_Value_t TSL2572AmbientLight_Value;
			ATMO_InitValue(&TSL2572AmbientLight_Value);
			TSL2572AmbientLight_readAmbientLight(value, &TSL2572AmbientLight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TSL2572AmbientLight, ambientLightRead), &TSL2572AmbientLight_Value);
			ATMO_FreeValue(&TSL2572AmbientLight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, trigger):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_trigger(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(EmbeddedNxpRpkBacklight, triggered), &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, setup):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_setup(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, setBacklightOff):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_setBacklightOff(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(EmbeddedNxpRpkBacklight, backlightSet), &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, setBacklightLow):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_setBacklightLow(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(EmbeddedNxpRpkBacklight, backlightSet), &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, setBacklightMedium):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_setBacklightMedium(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(EmbeddedNxpRpkBacklight, backlightSet), &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(EmbeddedNxpRpkBacklight, setBacklightHigh):
		{
			ATMO_Value_t EmbeddedNxpRpkBacklight_Value;
			ATMO_InitValue(&EmbeddedNxpRpkBacklight_Value);
			EmbeddedNxpRpkBacklight_setBacklightHigh(value, &EmbeddedNxpRpkBacklight_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(EmbeddedNxpRpkBacklight, backlightSet), &EmbeddedNxpRpkBacklight_Value);
			ATMO_FreeValue(&EmbeddedNxpRpkBacklight_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, trigger):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_trigger(value, &TempChar_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TempChar, triggered), &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, setup):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_setup(value, &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, setValue):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_setValue(value, &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, written):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_written(value, &TempChar_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TempChar, written), &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, subscibed):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_subscibed(value, &TempChar_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TempChar, subscibed), &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(TempChar, unsubscribed):
		{
			ATMO_Value_t TempChar_Value;
			ATMO_InitValue(&TempChar_Value);
			TempChar_unsubscribed(value, &TempChar_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TempChar, unsubscribed), &TempChar_Value);
			ATMO_FreeValue(&TempChar_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, trigger):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_trigger(value, &HumCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(HumCharacteristicCustom, triggered), &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, setup):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_setup(value, &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, setValue):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_setValue(value, &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, written):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_written(value, &HumCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(HumCharacteristicCustom, written), &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, subscibed):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_subscibed(value, &HumCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(HumCharacteristicCustom, subscibed), &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(HumCharacteristicCustom, unsubscribed):
		{
			ATMO_Value_t HumCharacteristicCustom_Value;
			ATMO_InitValue(&HumCharacteristicCustom_Value);
			HumCharacteristicCustom_unsubscribed(value, &HumCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(HumCharacteristicCustom, unsubscribed), &HumCharacteristicCustom_Value);
			ATMO_FreeValue(&HumCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, trigger):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_trigger(value, &TVOCCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCCharacteristicCustom, triggered), &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, setup):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_setup(value, &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, setValue):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_setValue(value, &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, written):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_written(value, &TVOCCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCCharacteristicCustom, written), &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, subscibed):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_subscibed(value, &TVOCCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCCharacteristicCustom, subscibed), &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(TVOCCharacteristicCustom, unsubscribed):
		{
			ATMO_Value_t TVOCCharacteristicCustom_Value;
			ATMO_InitValue(&TVOCCharacteristicCustom_Value);
			TVOCCharacteristicCustom_unsubscribed(value, &TVOCCharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(TVOCCharacteristicCustom, unsubscribed), &TVOCCharacteristicCustom_Value);
			ATMO_FreeValue(&TVOCCharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, trigger):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_trigger(value, &Co2CharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Co2CharacteristicCustom1, triggered), &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, setup):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_setup(value, &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, setValue):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_setValue(value, &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, written):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_written(value, &Co2CharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Co2CharacteristicCustom1, written), &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, subscibed):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_subscibed(value, &Co2CharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Co2CharacteristicCustom1, subscibed), &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(Co2CharacteristicCustom1, unsubscribed):
		{
			ATMO_Value_t Co2CharacteristicCustom1_Value;
			ATMO_InitValue(&Co2CharacteristicCustom1_Value);
			Co2CharacteristicCustom1_unsubscribed(value, &Co2CharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(Co2CharacteristicCustom1, unsubscribed), &Co2CharacteristicCustom1_Value);
			ATMO_FreeValue(&Co2CharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, trigger):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_trigger(value, &LightCharacteristicCustom8_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(LightCharacteristicCustom8, triggered), &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, setup):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_setup(value, &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, setValue):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_setValue(value, &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, written):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_written(value, &LightCharacteristicCustom8_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(LightCharacteristicCustom8, written), &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, subscibed):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_subscibed(value, &LightCharacteristicCustom8_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(LightCharacteristicCustom8, subscibed), &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(LightCharacteristicCustom8, unsubscribed):
		{
			ATMO_Value_t LightCharacteristicCustom8_Value;
			ATMO_InitValue(&LightCharacteristicCustom8_Value);
			LightCharacteristicCustom8_unsubscribed(value, &LightCharacteristicCustom8_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(LightCharacteristicCustom8, unsubscribed), &LightCharacteristicCustom8_Value);
			ATMO_FreeValue(&LightCharacteristicCustom8_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, trigger):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_trigger(value, &FXAS21002Gyroscope_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXAS21002Gyroscope, triggered), &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, setup):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_setup(value, &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, setEnabled):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_setEnabled(value, &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, setDisabled):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_setDisabled(value, &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, setEnabledDisabled):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_setEnabledDisabled(value, &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, getSensorData):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_getSensorData(value, &FXAS21002Gyroscope_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXAS21002Gyroscope, sensorDataRead), &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, getDpsX):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_getDpsX(value, &FXAS21002Gyroscope_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXAS21002Gyroscope, dpsXRead), &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, getDpsY):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_getDpsY(value, &FXAS21002Gyroscope_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXAS21002Gyroscope, dpsYRead), &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(FXAS21002Gyroscope, getDpsZ):
		{
			ATMO_Value_t FXAS21002Gyroscope_Value;
			ATMO_InitValue(&FXAS21002Gyroscope_Value);
			FXAS21002Gyroscope_getDpsZ(value, &FXAS21002Gyroscope_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXAS21002Gyroscope, dpsZRead), &FXAS21002Gyroscope_Value);
			ATMO_FreeValue(&FXAS21002Gyroscope_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, trigger):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_trigger(value, &BLEGyrox_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyrox, triggered), &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, setup):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_setup(value, &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, setValue):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_setValue(value, &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, written):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_written(value, &BLEGyrox_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyrox, written), &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, subscibed):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_subscibed(value, &BLEGyrox_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyrox, subscibed), &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyrox, unsubscribed):
		{
			ATMO_Value_t BLEGyrox_Value;
			ATMO_InitValue(&BLEGyrox_Value);
			BLEGyrox_unsubscribed(value, &BLEGyrox_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyrox, unsubscribed), &BLEGyrox_Value);
			ATMO_FreeValue(&BLEGyrox_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, trigger):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_trigger(value, &BLEGyroy_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroy, triggered), &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, setup):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_setup(value, &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, setValue):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_setValue(value, &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, written):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_written(value, &BLEGyroy_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroy, written), &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, subscibed):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_subscibed(value, &BLEGyroy_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroy, subscibed), &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroy, unsubscribed):
		{
			ATMO_Value_t BLEGyroy_Value;
			ATMO_InitValue(&BLEGyroy_Value);
			BLEGyroy_unsubscribed(value, &BLEGyroy_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroy, unsubscribed), &BLEGyroy_Value);
			ATMO_FreeValue(&BLEGyroy_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, trigger):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_trigger(value, &BLEGyroz_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroz, triggered), &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, setup):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_setup(value, &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, setValue):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_setValue(value, &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, written):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_written(value, &BLEGyroz_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroz, written), &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, subscibed):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_subscibed(value, &BLEGyroz_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroz, subscibed), &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(BLEGyroz, unsubscribed):
		{
			ATMO_Value_t BLEGyroz_Value;
			ATMO_InitValue(&BLEGyroz_Value);
			BLEGyroz_unsubscribed(value, &BLEGyroz_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLEGyroz, unsubscribed), &BLEGyroz_Value);
			ATMO_FreeValue(&BLEGyroz_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, trigger):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_trigger(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, triggered), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, setup):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_setup(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, setEnabled):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_setEnabled(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, setDisabled):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_setDisabled(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, setEnabledDisabled):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_setEnabledDisabled(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelData):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getAccelData(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelDataRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelX):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getAccelX(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelXRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelY):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getAccelY(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelYRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelZ):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getAccelZ(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelZRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagData):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getMagData(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magDataRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagX):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getMagX(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magXRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagY):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getMagY(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magYRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagZ):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_getMagZ(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magZRead), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, detectTap):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_detectTap(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, tapDetected), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, detectMotion):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_detectMotion(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, motionDetected), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, detectFreefall):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_detectFreefall(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, freefallDetected), &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, enableFreefallDetection):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_enableFreefallDetection(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, enableMotionDetection):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_enableMotionDetection(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, enableTapDetection):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_enableTapDetection(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, disableDetection):
		{
			ATMO_Value_t FXOS8700AccelerometerMagnetometer_Value;
			ATMO_InitValue(&FXOS8700AccelerometerMagnetometer_Value);
			FXOS8700AccelerometerMagnetometer_disableDetection(value, &FXOS8700AccelerometerMagnetometer_Value);
			ATMO_FreeValue(&FXOS8700AccelerometerMagnetometer_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, trigger):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_trigger(value, &BLECharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom, triggered), &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, setup):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_setup(value, &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, setValue):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_setValue(value, &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, written):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_written(value, &BLECharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom, written), &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, subscibed):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_subscibed(value, &BLECharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom, subscibed), &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom, unsubscribed):
		{
			ATMO_Value_t BLECharacteristicCustom_Value;
			ATMO_InitValue(&BLECharacteristicCustom_Value);
			BLECharacteristicCustom_unsubscribed(value, &BLECharacteristicCustom_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom, unsubscribed), &BLECharacteristicCustom_Value);
			ATMO_FreeValue(&BLECharacteristicCustom_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, trigger):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_trigger(value, &BLECharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom1, triggered), &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, setup):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_setup(value, &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, setValue):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_setValue(value, &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, written):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_written(value, &BLECharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom1, written), &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, subscibed):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_subscibed(value, &BLECharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom1, subscibed), &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
		case ATMO_ABILITY(BLECharacteristicCustom1, unsubscribed):
		{
			ATMO_Value_t BLECharacteristicCustom1_Value;
			ATMO_InitValue(&BLECharacteristicCustom1_Value);
			BLECharacteristicCustom1_unsubscribed(value, &BLECharacteristicCustom1_Value);
			ATMO_TriggerHandler(ATMO_TRIGGER(BLECharacteristicCustom1, unsubscribed), &BLECharacteristicCustom1_Value);
			ATMO_FreeValue(&BLECharacteristicCustom1_Value);
			break;
		}
	}

}

#ifdef __cplusplus
}
#endif
