
#ifndef ATMO_ABILITY_HANDLER_H
#define ATMO_ABILITY_HANDLER_H

#include "atmosphere_platform.h"
#include "atmosphere_callbacks.h"

#include "../atmo/core.h"

#ifdef __cplusplus
	extern "C"{
#endif

#define ATMO_ABILITY(ELEMENT, NAME) ATMO_ ## ELEMENT ## _ABILITY_  ## NAME

void ATMO_AbilityHandler(unsigned int abilityHandleId, ATMO_Value_t *value);

#define ATMO_Interval_ABILITY_trigger 0x1
#define ATMO_Interval_ABILITY_setup 0x2
#define ATMO_Interval_ABILITY_interval 0x3
#define ATMO_Temperature_ABILITY_trigger 0x4
#define ATMO_Temperature_ABILITY_setup 0x5
#define ATMO_Temperature_ABILITY_setEnabled 0x6
#define ATMO_Temperature_ABILITY_setDisabled 0x7
#define ATMO_Temperature_ABILITY_setEnabledDisabled 0x8
#define ATMO_Temperature_ABILITY_readTemperature 0x9
#define ATMO_Temperature_ABILITY_readHumidity 0xa
#define ATMO_Humidity_ABILITY_trigger 0xb
#define ATMO_Humidity_ABILITY_setup 0xc
#define ATMO_Humidity_ABILITY_setEnabled 0xd
#define ATMO_Humidity_ABILITY_setDisabled 0xe
#define ATMO_Humidity_ABILITY_setEnabledDisabled 0xf
#define ATMO_Humidity_ABILITY_readTemperature 0x10
#define ATMO_Humidity_ABILITY_readHumidity 0x11
#define ATMO_TVOCAirQuality_ABILITY_trigger 0x12
#define ATMO_TVOCAirQuality_ABILITY_setup 0x13
#define ATMO_TVOCAirQuality_ABILITY_setEnabled 0x14
#define ATMO_TVOCAirQuality_ABILITY_setDisabled 0x15
#define ATMO_TVOCAirQuality_ABILITY_setEnabledDisabled 0x16
#define ATMO_TVOCAirQuality_ABILITY_readTVOC 0x17
#define ATMO_TVOCAirQuality_ABILITY_readCO2 0x18
#define ATMO_C02AirQuality_ABILITY_trigger 0x19
#define ATMO_C02AirQuality_ABILITY_setup 0x1a
#define ATMO_C02AirQuality_ABILITY_setEnabled 0x1b
#define ATMO_C02AirQuality_ABILITY_setDisabled 0x1c
#define ATMO_C02AirQuality_ABILITY_setEnabledDisabled 0x1d
#define ATMO_C02AirQuality_ABILITY_readTVOC 0x1e
#define ATMO_C02AirQuality_ABILITY_readCO2 0x1f
#define ATMO_TSL2572AmbientLight_ABILITY_trigger 0x20
#define ATMO_TSL2572AmbientLight_ABILITY_setup 0x21
#define ATMO_TSL2572AmbientLight_ABILITY_setEnabled 0x22
#define ATMO_TSL2572AmbientLight_ABILITY_setDisabled 0x23
#define ATMO_TSL2572AmbientLight_ABILITY_setEnabledDisabled 0x24
#define ATMO_TSL2572AmbientLight_ABILITY_readAmbientLight 0x25
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_trigger 0x26
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_setup 0x27
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_setBacklightOff 0x28
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_setBacklightLow 0x29
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_setBacklightMedium 0x2a
#define ATMO_EmbeddedNxpRpkBacklight_ABILITY_setBacklightHigh 0x2b
#define ATMO_TempChar_ABILITY_trigger 0x2c
#define ATMO_TempChar_ABILITY_setup 0x2d
#define ATMO_TempChar_ABILITY_setValue 0x2e
#define ATMO_TempChar_ABILITY_written 0x2f
#define ATMO_TempChar_ABILITY_subscibed 0x30
#define ATMO_TempChar_ABILITY_unsubscribed 0x31
#define ATMO_HumCharacteristicCustom_ABILITY_trigger 0x32
#define ATMO_HumCharacteristicCustom_ABILITY_setup 0x33
#define ATMO_HumCharacteristicCustom_ABILITY_setValue 0x34
#define ATMO_HumCharacteristicCustom_ABILITY_written 0x35
#define ATMO_HumCharacteristicCustom_ABILITY_subscibed 0x36
#define ATMO_HumCharacteristicCustom_ABILITY_unsubscribed 0x37
#define ATMO_TVOCCharacteristicCustom_ABILITY_trigger 0x38
#define ATMO_TVOCCharacteristicCustom_ABILITY_setup 0x39
#define ATMO_TVOCCharacteristicCustom_ABILITY_setValue 0x3a
#define ATMO_TVOCCharacteristicCustom_ABILITY_written 0x3b
#define ATMO_TVOCCharacteristicCustom_ABILITY_subscibed 0x3c
#define ATMO_TVOCCharacteristicCustom_ABILITY_unsubscribed 0x3d
#define ATMO_Co2CharacteristicCustom1_ABILITY_trigger 0x3e
#define ATMO_Co2CharacteristicCustom1_ABILITY_setup 0x3f
#define ATMO_Co2CharacteristicCustom1_ABILITY_setValue 0x40
#define ATMO_Co2CharacteristicCustom1_ABILITY_written 0x41
#define ATMO_Co2CharacteristicCustom1_ABILITY_subscibed 0x42
#define ATMO_Co2CharacteristicCustom1_ABILITY_unsubscribed 0x43
#define ATMO_LightCharacteristicCustom8_ABILITY_trigger 0x44
#define ATMO_LightCharacteristicCustom8_ABILITY_setup 0x45
#define ATMO_LightCharacteristicCustom8_ABILITY_setValue 0x46
#define ATMO_LightCharacteristicCustom8_ABILITY_written 0x47
#define ATMO_LightCharacteristicCustom8_ABILITY_subscibed 0x48
#define ATMO_LightCharacteristicCustom8_ABILITY_unsubscribed 0x49
#define ATMO_FXAS21002Gyroscope_ABILITY_trigger 0x4a
#define ATMO_FXAS21002Gyroscope_ABILITY_setup 0x4b
#define ATMO_FXAS21002Gyroscope_ABILITY_setEnabled 0x4c
#define ATMO_FXAS21002Gyroscope_ABILITY_setDisabled 0x4d
#define ATMO_FXAS21002Gyroscope_ABILITY_setEnabledDisabled 0x4e
#define ATMO_FXAS21002Gyroscope_ABILITY_getSensorData 0x4f
#define ATMO_FXAS21002Gyroscope_ABILITY_getDpsX 0x50
#define ATMO_FXAS21002Gyroscope_ABILITY_getDpsY 0x51
#define ATMO_FXAS21002Gyroscope_ABILITY_getDpsZ 0x52
#define ATMO_BLEGyrox_ABILITY_trigger 0x53
#define ATMO_BLEGyrox_ABILITY_setup 0x54
#define ATMO_BLEGyrox_ABILITY_setValue 0x55
#define ATMO_BLEGyrox_ABILITY_written 0x56
#define ATMO_BLEGyrox_ABILITY_subscibed 0x57
#define ATMO_BLEGyrox_ABILITY_unsubscribed 0x58
#define ATMO_BLEGyroy_ABILITY_trigger 0x59
#define ATMO_BLEGyroy_ABILITY_setup 0x5a
#define ATMO_BLEGyroy_ABILITY_setValue 0x5b
#define ATMO_BLEGyroy_ABILITY_written 0x5c
#define ATMO_BLEGyroy_ABILITY_subscibed 0x5d
#define ATMO_BLEGyroy_ABILITY_unsubscribed 0x5e
#define ATMO_BLEGyroz_ABILITY_trigger 0x5f
#define ATMO_BLEGyroz_ABILITY_setup 0x60
#define ATMO_BLEGyroz_ABILITY_setValue 0x61
#define ATMO_BLEGyroz_ABILITY_written 0x62
#define ATMO_BLEGyroz_ABILITY_subscibed 0x63
#define ATMO_BLEGyroz_ABILITY_unsubscribed 0x64
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_trigger 0x65
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_setup 0x66
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_setEnabled 0x67
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_setDisabled 0x68
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_setEnabledDisabled 0x69
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getAccelData 0x6a
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getAccelX 0x6b
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getAccelY 0x6c
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getAccelZ 0x6d
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getMagData 0x6e
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getMagX 0x6f
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getMagY 0x70
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_getMagZ 0x71
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_detectTap 0x72
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_detectMotion 0x73
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_detectFreefall 0x74
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_enableFreefallDetection 0x75
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_enableMotionDetection 0x76
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_enableTapDetection 0x77
#define ATMO_FXOS8700AccelerometerMagnetometer_ABILITY_disableDetection 0x78
#define ATMO_BLECharacteristicCustom_ABILITY_trigger 0x79
#define ATMO_BLECharacteristicCustom_ABILITY_setup 0x7a
#define ATMO_BLECharacteristicCustom_ABILITY_setValue 0x7b
#define ATMO_BLECharacteristicCustom_ABILITY_written 0x7c
#define ATMO_BLECharacteristicCustom_ABILITY_subscibed 0x7d
#define ATMO_BLECharacteristicCustom_ABILITY_unsubscribed 0x7e
#define ATMO_BLECharacteristicCustom1_ABILITY_trigger 0x7f
#define ATMO_BLECharacteristicCustom1_ABILITY_setup 0x80
#define ATMO_BLECharacteristicCustom1_ABILITY_setValue 0x81
#define ATMO_BLECharacteristicCustom1_ABILITY_written 0x82
#define ATMO_BLECharacteristicCustom1_ABILITY_subscibed 0x83
#define ATMO_BLECharacteristicCustom1_ABILITY_unsubscribed 0x84
#ifdef __cplusplus
}
#endif
#endif
