
#ifndef ATMO_CALLBACKS_H
#define ATMO_CALLBACKS_H

#include "atmosphere_platform.h"
#include "atmosphere_properties.h"
#include "atmosphere_variables.h"
#include "atmosphere_triggerHandler.h"
#include "atmosphere_interruptsHandler.h"
#include "atmosphere_embedded_libraries.h"
#include "atmosphere_abilityHandler.h"

#include "atmosphere_driverinstance.h"

#define ATMO_CALLBACK(ELEMENT, NAME) ELEMENT ## _ ## NAME

void ATMO_Setup();

ATMO_Status_t Interval_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Interval_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Interval_interval(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_readTemperature(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Temperature_readHumidity(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_readTemperature(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Humidity_readHumidity(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_readTVOC(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCAirQuality_readCO2(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_readTVOC(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t C02AirQuality_readCO2(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TSL2572AmbientLight_readAmbientLight(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_setBacklightOff(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_setBacklightLow(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_setBacklightMedium(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t EmbeddedNxpRpkBacklight_setBacklightHigh(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TempChar_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t HumCharacteristicCustom_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t TVOCCharacteristicCustom_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t Co2CharacteristicCustom1_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t LightCharacteristicCustom8_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_getSensorData(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_getDpsX(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_getDpsY(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXAS21002Gyroscope_getDpsZ(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyrox_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroy_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLEGyroz_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_setEnabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_setDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_setEnabledDisabled(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getAccelData(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getAccelX(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getAccelY(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getAccelZ(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getMagData(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getMagX(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getMagY(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_getMagZ(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_detectTap(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_detectMotion(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_detectFreefall(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_enableFreefallDetection(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_enableMotionDetection(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_enableTapDetection(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t FXOS8700AccelerometerMagnetometer_disableDetection(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_trigger(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_setup(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_setValue(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_written(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_subscibed(ATMO_Value_t *in, ATMO_Value_t *out);

ATMO_Status_t BLECharacteristicCustom1_unsubscribed(ATMO_Value_t *in, ATMO_Value_t *out);
#endif
