
#ifndef ATMO_INTERRUPTS_HANDLER_H
#define ATMO_INTERRUPTS_HANDLER_H

#ifdef __cplusplus
	extern "C"{
#endif

#include "../atmo/core.h"
#define ATMO_INTERRUPT(ELEMENT, NAME) ATMO_ ## ELEMENT ## _INTERRUPT_  ## NAME

void ATMO_Interval_INTERRUPT_trigger();
void ATMO_Interval_INTERRUPT_setup();
void ATMO_Interval_INTERRUPT_interval();

void ATMO_Temperature_INTERRUPT_trigger();
void ATMO_Temperature_INTERRUPT_setup();
void ATMO_Temperature_INTERRUPT_setEnabled();
void ATMO_Temperature_INTERRUPT_setDisabled();
void ATMO_Temperature_INTERRUPT_setEnabledDisabled();
void ATMO_Temperature_INTERRUPT_readTemperature();
void ATMO_Temperature_INTERRUPT_readHumidity();

void ATMO_Humidity_INTERRUPT_trigger();
void ATMO_Humidity_INTERRUPT_setup();
void ATMO_Humidity_INTERRUPT_setEnabled();
void ATMO_Humidity_INTERRUPT_setDisabled();
void ATMO_Humidity_INTERRUPT_setEnabledDisabled();
void ATMO_Humidity_INTERRUPT_readTemperature();
void ATMO_Humidity_INTERRUPT_readHumidity();

void ATMO_TVOCAirQuality_INTERRUPT_trigger();
void ATMO_TVOCAirQuality_INTERRUPT_setup();
void ATMO_TVOCAirQuality_INTERRUPT_setEnabled();
void ATMO_TVOCAirQuality_INTERRUPT_setDisabled();
void ATMO_TVOCAirQuality_INTERRUPT_setEnabledDisabled();
void ATMO_TVOCAirQuality_INTERRUPT_readTVOC();
void ATMO_TVOCAirQuality_INTERRUPT_readCO2();

void ATMO_C02AirQuality_INTERRUPT_trigger();
void ATMO_C02AirQuality_INTERRUPT_setup();
void ATMO_C02AirQuality_INTERRUPT_setEnabled();
void ATMO_C02AirQuality_INTERRUPT_setDisabled();
void ATMO_C02AirQuality_INTERRUPT_setEnabledDisabled();
void ATMO_C02AirQuality_INTERRUPT_readTVOC();
void ATMO_C02AirQuality_INTERRUPT_readCO2();

void ATMO_TSL2572AmbientLight_INTERRUPT_trigger();
void ATMO_TSL2572AmbientLight_INTERRUPT_setup();
void ATMO_TSL2572AmbientLight_INTERRUPT_setEnabled();
void ATMO_TSL2572AmbientLight_INTERRUPT_setDisabled();
void ATMO_TSL2572AmbientLight_INTERRUPT_setEnabledDisabled();
void ATMO_TSL2572AmbientLight_INTERRUPT_readAmbientLight();

void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_trigger();
void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_setup();
void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_setBacklightOff();
void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_setBacklightLow();
void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_setBacklightMedium();
void ATMO_EmbeddedNxpRpkBacklight_INTERRUPT_setBacklightHigh();

void ATMO_TempChar_INTERRUPT_trigger();
void ATMO_TempChar_INTERRUPT_setup();
void ATMO_TempChar_INTERRUPT_setValue();
void ATMO_TempChar_INTERRUPT_written();
void ATMO_TempChar_INTERRUPT_subscibed();
void ATMO_TempChar_INTERRUPT_unsubscribed();

void ATMO_HumCharacteristicCustom_INTERRUPT_trigger();
void ATMO_HumCharacteristicCustom_INTERRUPT_setup();
void ATMO_HumCharacteristicCustom_INTERRUPT_setValue();
void ATMO_HumCharacteristicCustom_INTERRUPT_written();
void ATMO_HumCharacteristicCustom_INTERRUPT_subscibed();
void ATMO_HumCharacteristicCustom_INTERRUPT_unsubscribed();

void ATMO_TVOCCharacteristicCustom_INTERRUPT_trigger();
void ATMO_TVOCCharacteristicCustom_INTERRUPT_setup();
void ATMO_TVOCCharacteristicCustom_INTERRUPT_setValue();
void ATMO_TVOCCharacteristicCustom_INTERRUPT_written();
void ATMO_TVOCCharacteristicCustom_INTERRUPT_subscibed();
void ATMO_TVOCCharacteristicCustom_INTERRUPT_unsubscribed();

void ATMO_Co2CharacteristicCustom1_INTERRUPT_trigger();
void ATMO_Co2CharacteristicCustom1_INTERRUPT_setup();
void ATMO_Co2CharacteristicCustom1_INTERRUPT_setValue();
void ATMO_Co2CharacteristicCustom1_INTERRUPT_written();
void ATMO_Co2CharacteristicCustom1_INTERRUPT_subscibed();
void ATMO_Co2CharacteristicCustom1_INTERRUPT_unsubscribed();

void ATMO_LightCharacteristicCustom8_INTERRUPT_trigger();
void ATMO_LightCharacteristicCustom8_INTERRUPT_setup();
void ATMO_LightCharacteristicCustom8_INTERRUPT_setValue();
void ATMO_LightCharacteristicCustom8_INTERRUPT_written();
void ATMO_LightCharacteristicCustom8_INTERRUPT_subscibed();
void ATMO_LightCharacteristicCustom8_INTERRUPT_unsubscribed();

void ATMO_FXAS21002Gyroscope_INTERRUPT_trigger();
void ATMO_FXAS21002Gyroscope_INTERRUPT_setup();
void ATMO_FXAS21002Gyroscope_INTERRUPT_setEnabled();
void ATMO_FXAS21002Gyroscope_INTERRUPT_setDisabled();
void ATMO_FXAS21002Gyroscope_INTERRUPT_setEnabledDisabled();
void ATMO_FXAS21002Gyroscope_INTERRUPT_getSensorData();
void ATMO_FXAS21002Gyroscope_INTERRUPT_getDpsX();
void ATMO_FXAS21002Gyroscope_INTERRUPT_getDpsY();
void ATMO_FXAS21002Gyroscope_INTERRUPT_getDpsZ();

void ATMO_BLEGyrox_INTERRUPT_trigger();
void ATMO_BLEGyrox_INTERRUPT_setup();
void ATMO_BLEGyrox_INTERRUPT_setValue();
void ATMO_BLEGyrox_INTERRUPT_written();
void ATMO_BLEGyrox_INTERRUPT_subscibed();
void ATMO_BLEGyrox_INTERRUPT_unsubscribed();

void ATMO_BLEGyroy_INTERRUPT_trigger();
void ATMO_BLEGyroy_INTERRUPT_setup();
void ATMO_BLEGyroy_INTERRUPT_setValue();
void ATMO_BLEGyroy_INTERRUPT_written();
void ATMO_BLEGyroy_INTERRUPT_subscibed();
void ATMO_BLEGyroy_INTERRUPT_unsubscribed();

void ATMO_BLEGyroz_INTERRUPT_trigger();
void ATMO_BLEGyroz_INTERRUPT_setup();
void ATMO_BLEGyroz_INTERRUPT_setValue();
void ATMO_BLEGyroz_INTERRUPT_written();
void ATMO_BLEGyroz_INTERRUPT_subscibed();
void ATMO_BLEGyroz_INTERRUPT_unsubscribed();

void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_trigger();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_setup();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_setEnabled();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_setDisabled();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_setEnabledDisabled();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getAccelData();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getAccelX();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getAccelY();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getAccelZ();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getMagData();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getMagX();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getMagY();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_getMagZ();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_detectTap();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_detectMotion();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_detectFreefall();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_enableFreefallDetection();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_enableMotionDetection();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_enableTapDetection();
void ATMO_FXOS8700AccelerometerMagnetometer_INTERRUPT_disableDetection();

void ATMO_BLECharacteristicCustom_INTERRUPT_trigger();
void ATMO_BLECharacteristicCustom_INTERRUPT_setup();
void ATMO_BLECharacteristicCustom_INTERRUPT_setValue();
void ATMO_BLECharacteristicCustom_INTERRUPT_written();
void ATMO_BLECharacteristicCustom_INTERRUPT_subscibed();
void ATMO_BLECharacteristicCustom_INTERRUPT_unsubscribed();

void ATMO_BLECharacteristicCustom1_INTERRUPT_trigger();
void ATMO_BLECharacteristicCustom1_INTERRUPT_setup();
void ATMO_BLECharacteristicCustom1_INTERRUPT_setValue();
void ATMO_BLECharacteristicCustom1_INTERRUPT_written();
void ATMO_BLECharacteristicCustom1_INTERRUPT_subscibed();
void ATMO_BLECharacteristicCustom1_INTERRUPT_unsubscribed();


#ifdef __cplusplus
}
#endif

#endif
