
#ifndef ATMO_PROPERTIES_H
#define ATMO_PROPERTIES_H

#ifdef __cplusplus
	extern "C"{
#endif

#define ATMO_PROPERTY(ELEMENT, NAME) ATMO_ ## ELEMENT ## _PROPERTY_  ## NAME

#define ATMO_Interval_PROPERTY_errorData NULL
#define ATMO_Interval_PROPERTY_codeUserChanged NULL
#define ATMO_Interval_PROPERTY_instance ATMO_DRIVERINSTANCE_INTERVAL_INTERVAL1
#define ATMO_Interval_PROPERTY_time 2000

#define ATMO_Temperature_PROPERTY_errorData NULL
#define ATMO_Temperature_PROPERTY_codeUserChanged NULL
#define ATMO_Temperature_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_Temperature_PROPERTY_i2cAddress 0x43
#define ATMO_Temperature_PROPERTY_tempCalibrationOffset -7

#define ATMO_Humidity_PROPERTY_errorData NULL
#define ATMO_Humidity_PROPERTY_codeUserChanged NULL
#define ATMO_Humidity_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_Humidity_PROPERTY_i2cAddress 0x43
#define ATMO_Humidity_PROPERTY_tempCalibrationOffset -7

#define ATMO_TVOCAirQuality_PROPERTY_errorData NULL
#define ATMO_TVOCAirQuality_PROPERTY_codeUserChanged NULL
#define ATMO_TVOCAirQuality_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_TVOCAirQuality_PROPERTY_i2cAddress 0x5A
#define ATMO_TVOCAirQuality_PROPERTY_operatingMode ATMO_CCS811_OperatingMode_1

#define ATMO_C02AirQuality_PROPERTY_errorData NULL
#define ATMO_C02AirQuality_PROPERTY_codeUserChanged NULL
#define ATMO_C02AirQuality_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_C02AirQuality_PROPERTY_i2cAddress 0x5A
#define ATMO_C02AirQuality_PROPERTY_operatingMode ATMO_CCS811_OperatingMode_1

#define ATMO_TSL2572AmbientLight_PROPERTY_errorData NULL
#define ATMO_TSL2572AmbientLight_PROPERTY_codeUserChanged NULL
#define ATMO_TSL2572AmbientLight_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_TSL2572AmbientLight_PROPERTY_i2cAddress 0x39

#define ATMO_EmbeddedNxpRpkBacklight_PROPERTY_errorData NULL
#define ATMO_EmbeddedNxpRpkBacklight_PROPERTY_codeUserChanged NULL
#define ATMO_EmbeddedNxpRpkBacklight_PROPERTY_initialSetting BLIGHT_LEVEL_OFF

#define ATMO_TempChar_PROPERTY_errorData NULL
#define ATMO_TempChar_PROPERTY_codeUserChanged NULL
#define ATMO_TempChar_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_TempChar_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_TempChar_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046cd"
#define ATMO_TempChar_PROPERTY_read true
#define ATMO_TempChar_PROPERTY_write false
#define ATMO_TempChar_PROPERTY_notify true
#define ATMO_TempChar_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_TempChar_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_TempChar_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_HumCharacteristicCustom_PROPERTY_errorData NULL
#define ATMO_HumCharacteristicCustom_PROPERTY_codeUserChanged NULL
#define ATMO_HumCharacteristicCustom_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_HumCharacteristicCustom_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_HumCharacteristicCustom_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046ce"
#define ATMO_HumCharacteristicCustom_PROPERTY_read true
#define ATMO_HumCharacteristicCustom_PROPERTY_write false
#define ATMO_HumCharacteristicCustom_PROPERTY_notify true
#define ATMO_HumCharacteristicCustom_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_HumCharacteristicCustom_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_HumCharacteristicCustom_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_TVOCCharacteristicCustom_PROPERTY_errorData NULL
#define ATMO_TVOCCharacteristicCustom_PROPERTY_codeUserChanged NULL
#define ATMO_TVOCCharacteristicCustom_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_TVOCCharacteristicCustom_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_TVOCCharacteristicCustom_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046cf"
#define ATMO_TVOCCharacteristicCustom_PROPERTY_read true
#define ATMO_TVOCCharacteristicCustom_PROPERTY_write false
#define ATMO_TVOCCharacteristicCustom_PROPERTY_notify true
#define ATMO_TVOCCharacteristicCustom_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_TVOCCharacteristicCustom_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_TVOCCharacteristicCustom_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_Co2CharacteristicCustom1_PROPERTY_errorData NULL
#define ATMO_Co2CharacteristicCustom1_PROPERTY_codeUserChanged NULL
#define ATMO_Co2CharacteristicCustom1_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_Co2CharacteristicCustom1_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_Co2CharacteristicCustom1_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d0"
#define ATMO_Co2CharacteristicCustom1_PROPERTY_read true
#define ATMO_Co2CharacteristicCustom1_PROPERTY_write false
#define ATMO_Co2CharacteristicCustom1_PROPERTY_notify true
#define ATMO_Co2CharacteristicCustom1_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_Co2CharacteristicCustom1_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_Co2CharacteristicCustom1_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_LightCharacteristicCustom8_PROPERTY_errorData NULL
#define ATMO_LightCharacteristicCustom8_PROPERTY_codeUserChanged NULL
#define ATMO_LightCharacteristicCustom8_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_LightCharacteristicCustom8_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_LightCharacteristicCustom8_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d7"
#define ATMO_LightCharacteristicCustom8_PROPERTY_read true
#define ATMO_LightCharacteristicCustom8_PROPERTY_write false
#define ATMO_LightCharacteristicCustom8_PROPERTY_notify true
#define ATMO_LightCharacteristicCustom8_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_LightCharacteristicCustom8_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_LightCharacteristicCustom8_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_FXAS21002Gyroscope_PROPERTY_errorData NULL
#define ATMO_FXAS21002Gyroscope_PROPERTY_codeUserChanged NULL
#define ATMO_FXAS21002Gyroscope_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_FXAS21002Gyroscope_PROPERTY_i2cAddress 0x20
#define ATMO_FXAS21002Gyroscope_PROPERTY_samplingRate FXAS21002_CTRL_REG1_DR_12_5HZ

#define ATMO_BLEGyrox_PROPERTY_errorData NULL
#define ATMO_BLEGyrox_PROPERTY_codeUserChanged NULL
#define ATMO_BLEGyrox_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_BLEGyrox_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_BLEGyrox_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d1"
#define ATMO_BLEGyrox_PROPERTY_read true
#define ATMO_BLEGyrox_PROPERTY_write false
#define ATMO_BLEGyrox_PROPERTY_notify true
#define ATMO_BLEGyrox_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyrox_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyrox_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_BLEGyroy_PROPERTY_errorData NULL
#define ATMO_BLEGyroy_PROPERTY_codeUserChanged NULL
#define ATMO_BLEGyroy_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_BLEGyroy_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_BLEGyroy_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d2"
#define ATMO_BLEGyroy_PROPERTY_read true
#define ATMO_BLEGyroy_PROPERTY_write false
#define ATMO_BLEGyroy_PROPERTY_notify true
#define ATMO_BLEGyroy_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyroy_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyroy_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_BLEGyroz_PROPERTY_errorData NULL
#define ATMO_BLEGyroz_PROPERTY_codeUserChanged NULL
#define ATMO_BLEGyroz_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_BLEGyroz_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_BLEGyroz_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d3"
#define ATMO_BLEGyroz_PROPERTY_read true
#define ATMO_BLEGyroz_PROPERTY_write false
#define ATMO_BLEGyroz_PROPERTY_notify true
#define ATMO_BLEGyroz_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyroz_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_BLEGyroz_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_errorData NULL
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_codeUserChanged NULL
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_i2cInstance ATMO_DRIVERINSTANCE_I2C_I2C2
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_gpioInstance ATMO_DRIVERINSTANCE_GPIO_GPIO1
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_interrupt1Enabled false
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_interrupt2Enabled true
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_interrupt1Gpio ATMO_DEFAULT_GPIO
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_interrupt2Gpio PTD13
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_motionDetectType FXOS8700_NoDetect
#define ATMO_FXOS8700AccelerometerMagnetometer_PROPERTY_i2cAddress 0x1E

#define ATMO_BLECharacteristicCustom_PROPERTY_errorData NULL
#define ATMO_BLECharacteristicCustom_PROPERTY_codeUserChanged NULL
#define ATMO_BLECharacteristicCustom_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_BLECharacteristicCustom_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_BLECharacteristicCustom_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d4"
#define ATMO_BLECharacteristicCustom_PROPERTY_read true
#define ATMO_BLECharacteristicCustom_PROPERTY_write true
#define ATMO_BLECharacteristicCustom_PROPERTY_notify false
#define ATMO_BLECharacteristicCustom_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_BLECharacteristicCustom_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_BLECharacteristicCustom_PROPERTY_notifyDataType ATMO_DATATYPE_STRING

#define ATMO_BLECharacteristicCustom1_PROPERTY_errorData NULL
#define ATMO_BLECharacteristicCustom1_PROPERTY_codeUserChanged NULL
#define ATMO_BLECharacteristicCustom1_PROPERTY_instance ATMO_DRIVERINSTANCE_BLE_BLE1
#define ATMO_BLECharacteristicCustom1_PROPERTY_bleServiceUuid "cdc71b53-b280-4e42-a7ca-af4f398046cc"
#define ATMO_BLECharacteristicCustom1_PROPERTY_bleCharacteristicUuid "cdc71b53-b280-4e42-a7ca-af4f398046d5"
#define ATMO_BLECharacteristicCustom1_PROPERTY_read true
#define ATMO_BLECharacteristicCustom1_PROPERTY_write true
#define ATMO_BLECharacteristicCustom1_PROPERTY_notify false
#define ATMO_BLECharacteristicCustom1_PROPERTY_readDataType ATMO_DATATYPE_STRING
#define ATMO_BLECharacteristicCustom1_PROPERTY_writeDataType ATMO_DATATYPE_STRING
#define ATMO_BLECharacteristicCustom1_PROPERTY_notifyDataType ATMO_DATATYPE_STRING


#ifdef __cplusplus
}
#endif

#endif
