#include "atmosphere_triggerHandler.h"
#include "atmosphere_abilityHandler.h"

#ifdef __cplusplus
	extern "C"{
#endif

void ATMO_TriggerHandler(unsigned int triggerHandleId, ATMO_Value_t *value) {
	switch(triggerHandleId) {
		case ATMO_TRIGGER(Interval, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(Interval, interval):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(Temperature, readTemperature), value);
			ATMO_AbilityHandler(ATMO_ABILITY(Humidity, readHumidity), value);
			ATMO_AbilityHandler(ATMO_ABILITY(TVOCAirQuality, readTVOC), value);
			ATMO_AbilityHandler(ATMO_ABILITY(TSL2572AmbientLight, readAmbientLight), value);
			ATMO_AbilityHandler(ATMO_ABILITY(C02AirQuality, readTVOC), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXAS21002Gyroscope, getDpsX), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXAS21002Gyroscope, getDpsY), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXAS21002Gyroscope, getDpsZ), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelZ), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagZ), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelY), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagX), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getMagY), value);
			ATMO_AbilityHandler(ATMO_ABILITY(FXOS8700AccelerometerMagnetometer, getAccelX), value);
			break;
		}

		case ATMO_TRIGGER(Temperature, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(Temperature, temperatureRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(TempChar, setValue), value);
			break;
		}

		case ATMO_TRIGGER(Temperature, humidityRead):
		{
			break;
		}

		case ATMO_TRIGGER(Humidity, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(Humidity, temperatureRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(HumCharacteristicCustom, setValue), value);
			ATMO_AbilityHandler(ATMO_ABILITY(HumCharacteristicCustom, setValue), value);
			break;
		}

		case ATMO_TRIGGER(Humidity, humidityRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(HumCharacteristicCustom, setValue), value);
			break;
		}

		case ATMO_TRIGGER(TVOCAirQuality, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(TVOCAirQuality, TVOCRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(TVOCCharacteristicCustom, setValue), value);
			break;
		}

		case ATMO_TRIGGER(TVOCAirQuality, CO2Read):
		{
			break;
		}

		case ATMO_TRIGGER(C02AirQuality, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(C02AirQuality, TVOCRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(Co2CharacteristicCustom1, setValue), value);
			break;
		}

		case ATMO_TRIGGER(C02AirQuality, CO2Read):
		{
			break;
		}

		case ATMO_TRIGGER(TSL2572AmbientLight, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(TSL2572AmbientLight, ambientLightRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(LightCharacteristicCustom8, setValue), value);
			break;
		}

		case ATMO_TRIGGER(EmbeddedNxpRpkBacklight, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(EmbeddedNxpRpkBacklight, backlightSet):
		{
			break;
		}

		case ATMO_TRIGGER(TempChar, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(TempChar, written):
		{
			break;
		}

		case ATMO_TRIGGER(TempChar, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(TempChar, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(HumCharacteristicCustom, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(HumCharacteristicCustom, written):
		{
			break;
		}

		case ATMO_TRIGGER(HumCharacteristicCustom, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(HumCharacteristicCustom, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(TVOCCharacteristicCustom, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(TVOCCharacteristicCustom, written):
		{
			break;
		}

		case ATMO_TRIGGER(TVOCCharacteristicCustom, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(TVOCCharacteristicCustom, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(Co2CharacteristicCustom1, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(Co2CharacteristicCustom1, written):
		{
			break;
		}

		case ATMO_TRIGGER(Co2CharacteristicCustom1, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(Co2CharacteristicCustom1, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(LightCharacteristicCustom8, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(LightCharacteristicCustom8, written):
		{
			break;
		}

		case ATMO_TRIGGER(LightCharacteristicCustom8, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(LightCharacteristicCustom8, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(FXAS21002Gyroscope, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(FXAS21002Gyroscope, sensorDataRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXAS21002Gyroscope, dpsXRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(BLEGyrox, setValue), value);
			break;
		}

		case ATMO_TRIGGER(FXAS21002Gyroscope, dpsYRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(BLEGyroy, setValue), value);
			break;
		}

		case ATMO_TRIGGER(FXAS21002Gyroscope, dpsZRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(BLEGyroz, setValue), value);
			break;
		}

		case ATMO_TRIGGER(BLEGyrox, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyrox, written):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyrox, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyrox, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroy, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroy, written):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroy, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroy, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroz, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroz, written):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroz, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(BLEGyroz, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelDataRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelXRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelYRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, accelZRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(BLECharacteristicCustom, setValue), value);
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magDataRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magXRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magYRead):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, magZRead):
		{
			ATMO_AbilityHandler(ATMO_ABILITY(BLECharacteristicCustom1, setValue), value);
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, tapDetected):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, motionDetected):
		{
			break;
		}

		case ATMO_TRIGGER(FXOS8700AccelerometerMagnetometer, freefallDetected):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom, written):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom, unsubscribed):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom1, triggered):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom1, written):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom1, subscibed):
		{
			break;
		}

		case ATMO_TRIGGER(BLECharacteristicCustom1, unsubscribed):
		{
			break;
		}

	}

}

#ifdef __cplusplus
}
#endif
