
#ifndef ATMO_TRIGGER_HANDLER_H
#define ATMO_TRIGGER_HANDLER_H

#include "atmosphere_platform.h"
#include "../atmo/core.h"

#ifdef __cplusplus
	extern "C"{
#endif

#define ATMO_TRIGGER(ELEMENT, NAME) ATMO_ ## ELEMENT ## _TRIGGER_  ## NAME

void ATMO_TriggerHandler(unsigned int triggerHandleId, ATMO_Value_t *value);

#define ATMO_Interval_TRIGGER_triggered 0x1
#define ATMO_Interval_TRIGGER_interval 0x2
#define ATMO_Temperature_TRIGGER_triggered 0x3
#define ATMO_Temperature_TRIGGER_temperatureRead 0x4
#define ATMO_Temperature_TRIGGER_humidityRead 0x5
#define ATMO_Humidity_TRIGGER_triggered 0x6
#define ATMO_Humidity_TRIGGER_temperatureRead 0x7
#define ATMO_Humidity_TRIGGER_humidityRead 0x8
#define ATMO_TVOCAirQuality_TRIGGER_triggered 0x9
#define ATMO_TVOCAirQuality_TRIGGER_TVOCRead 0xa
#define ATMO_TVOCAirQuality_TRIGGER_CO2Read 0xb
#define ATMO_C02AirQuality_TRIGGER_triggered 0xc
#define ATMO_C02AirQuality_TRIGGER_TVOCRead 0xd
#define ATMO_C02AirQuality_TRIGGER_CO2Read 0xe
#define ATMO_TSL2572AmbientLight_TRIGGER_triggered 0xf
#define ATMO_TSL2572AmbientLight_TRIGGER_ambientLightRead 0x10
#define ATMO_EmbeddedNxpRpkBacklight_TRIGGER_triggered 0x11
#define ATMO_EmbeddedNxpRpkBacklight_TRIGGER_backlightSet 0x12
#define ATMO_TempChar_TRIGGER_triggered 0x13
#define ATMO_TempChar_TRIGGER_written 0x14
#define ATMO_TempChar_TRIGGER_subscibed 0x15
#define ATMO_TempChar_TRIGGER_unsubscribed 0x16
#define ATMO_HumCharacteristicCustom_TRIGGER_triggered 0x17
#define ATMO_HumCharacteristicCustom_TRIGGER_written 0x18
#define ATMO_HumCharacteristicCustom_TRIGGER_subscibed 0x19
#define ATMO_HumCharacteristicCustom_TRIGGER_unsubscribed 0x1a
#define ATMO_TVOCCharacteristicCustom_TRIGGER_triggered 0x1b
#define ATMO_TVOCCharacteristicCustom_TRIGGER_written 0x1c
#define ATMO_TVOCCharacteristicCustom_TRIGGER_subscibed 0x1d
#define ATMO_TVOCCharacteristicCustom_TRIGGER_unsubscribed 0x1e
#define ATMO_Co2CharacteristicCustom1_TRIGGER_triggered 0x1f
#define ATMO_Co2CharacteristicCustom1_TRIGGER_written 0x20
#define ATMO_Co2CharacteristicCustom1_TRIGGER_subscibed 0x21
#define ATMO_Co2CharacteristicCustom1_TRIGGER_unsubscribed 0x22
#define ATMO_LightCharacteristicCustom8_TRIGGER_triggered 0x23
#define ATMO_LightCharacteristicCustom8_TRIGGER_written 0x24
#define ATMO_LightCharacteristicCustom8_TRIGGER_subscibed 0x25
#define ATMO_LightCharacteristicCustom8_TRIGGER_unsubscribed 0x26
#define ATMO_FXAS21002Gyroscope_TRIGGER_triggered 0x27
#define ATMO_FXAS21002Gyroscope_TRIGGER_sensorDataRead 0x28
#define ATMO_FXAS21002Gyroscope_TRIGGER_dpsXRead 0x29
#define ATMO_FXAS21002Gyroscope_TRIGGER_dpsYRead 0x2a
#define ATMO_FXAS21002Gyroscope_TRIGGER_dpsZRead 0x2b
#define ATMO_BLEGyrox_TRIGGER_triggered 0x2c
#define ATMO_BLEGyrox_TRIGGER_written 0x2d
#define ATMO_BLEGyrox_TRIGGER_subscibed 0x2e
#define ATMO_BLEGyrox_TRIGGER_unsubscribed 0x2f
#define ATMO_BLEGyroy_TRIGGER_triggered 0x30
#define ATMO_BLEGyroy_TRIGGER_written 0x31
#define ATMO_BLEGyroy_TRIGGER_subscibed 0x32
#define ATMO_BLEGyroy_TRIGGER_unsubscribed 0x33
#define ATMO_BLEGyroz_TRIGGER_triggered 0x34
#define ATMO_BLEGyroz_TRIGGER_written 0x35
#define ATMO_BLEGyroz_TRIGGER_subscibed 0x36
#define ATMO_BLEGyroz_TRIGGER_unsubscribed 0x37
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_triggered 0x38
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_accelDataRead 0x39
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_accelXRead 0x3a
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_accelYRead 0x3b
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_accelZRead 0x3c
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_magDataRead 0x3d
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_magXRead 0x3e
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_magYRead 0x3f
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_magZRead 0x40
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_tapDetected 0x41
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_motionDetected 0x42
#define ATMO_FXOS8700AccelerometerMagnetometer_TRIGGER_freefallDetected 0x43
#define ATMO_BLECharacteristicCustom_TRIGGER_triggered 0x44
#define ATMO_BLECharacteristicCustom_TRIGGER_written 0x45
#define ATMO_BLECharacteristicCustom_TRIGGER_subscibed 0x46
#define ATMO_BLECharacteristicCustom_TRIGGER_unsubscribed 0x47
#define ATMO_BLECharacteristicCustom1_TRIGGER_triggered 0x48
#define ATMO_BLECharacteristicCustom1_TRIGGER_written 0x49
#define ATMO_BLECharacteristicCustom1_TRIGGER_subscibed 0x4a
#define ATMO_BLECharacteristicCustom1_TRIGGER_unsubscribed 0x4b
#ifdef __cplusplus
}
#endif
#endif
